package org.eclipse.lsat.machine.teditor.parser.antlr.internal;

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.common.util.Enumerator;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import org.eclipse.lsat.machine.teditor.services.MachineGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

/**
 * Copyright (c) 2021 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Do not edit: This file is generated by Xtext
 */
@SuppressWarnings("all")
public class InternalMachineParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_ID", "RULE_STRING", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'Machine'", "'PathAnnotations'", "'{'", "'}'", "'import'", "'PeripheralType'", "'Actions'", "'SetPoints'", "'Axes'", "'Conversion'", "'['", "']'", "'moves'", "','", "'('", "')'", "':'", "'AxisPositions'", "'SymbolicPositions'", "'Profiles'", "'Distances'", "'Paths'", "'.'", "'-->'", "'profiles'", "'profile'", "'@'", "'<->'", "'FullMesh'", "'PassiveResource'", "'EventResource'", "'Resource'"
    };
    public static final int RULE_STRING=5;
    public static final int RULE_SL_COMMENT=8;
    public static final int T__19=19;
    public static final int T__15=15;
    public static final int T__37=37;
    public static final int T__16=16;
    public static final int T__38=38;
    public static final int T__17=17;
    public static final int T__39=39;
    public static final int T__18=18;
    public static final int T__11=11;
    public static final int T__33=33;
    public static final int T__12=12;
    public static final int T__34=34;
    public static final int T__13=13;
    public static final int T__35=35;
    public static final int T__14=14;
    public static final int T__36=36;
    public static final int EOF=-1;
    public static final int T__30=30;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int RULE_ID=4;
    public static final int RULE_WS=9;
    public static final int RULE_ANY_OTHER=10;
    public static final int T__26=26;
    public static final int T__27=27;
    public static final int T__28=28;
    public static final int RULE_INT=6;
    public static final int T__29=29;
    public static final int T__22=22;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__23=23;
    public static final int T__24=24;
    public static final int T__25=25;
    public static final int T__40=40;
    public static final int T__41=41;
    public static final int T__20=20;
    public static final int T__42=42;
    public static final int T__21=21;

    // delegates
    // delegators


        public InternalMachineParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalMachineParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalMachineParser.tokenNames; }
    public String getGrammarFileName() { return "InternalMachine.g"; }



     	private MachineGrammarAccess grammarAccess;

        public InternalMachineParser(TokenStream input, MachineGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }

        @Override
        protected String getFirstRuleName() {
        	return "Machine";
       	}

       	@Override
       	protected MachineGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}




    // $ANTLR start "entryRuleMachine"
    // InternalMachine.g:73:1: entryRuleMachine returns [EObject current=null] : iv_ruleMachine= ruleMachine EOF ;
    public final EObject entryRuleMachine() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleMachine = null;


        try {
            // InternalMachine.g:73:48: (iv_ruleMachine= ruleMachine EOF )
            // InternalMachine.g:74:2: iv_ruleMachine= ruleMachine EOF
            {
             newCompositeNode(grammarAccess.getMachineRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleMachine=ruleMachine();

            state._fsp--;

             current =iv_ruleMachine; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleMachine"


    // $ANTLR start "ruleMachine"
    // InternalMachine.g:80:1: ruleMachine returns [EObject current=null] : ( () ( (lv_imports_1_0= ruleImport ) )* (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )? (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )? ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )* ) ;
    public final EObject ruleMachine() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token lv_type_3_0=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        EObject lv_imports_1_0 = null;

        EObject lv_pathAnnotations_6_0 = null;

        EObject lv_peripheralTypes_8_0 = null;

        EObject lv_resources_9_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:86:2: ( ( () ( (lv_imports_1_0= ruleImport ) )* (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )? (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )? ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )* ) )
            // InternalMachine.g:87:2: ( () ( (lv_imports_1_0= ruleImport ) )* (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )? (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )? ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )* )
            {
            // InternalMachine.g:87:2: ( () ( (lv_imports_1_0= ruleImport ) )* (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )? (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )? ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )* )
            // InternalMachine.g:88:3: () ( (lv_imports_1_0= ruleImport ) )* (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )? (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )? ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )*
            {
            // InternalMachine.g:88:3: ()
            // InternalMachine.g:89:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getMachineAccess().getMachineAction_0(),
            					current);
            			

            }

            // InternalMachine.g:95:3: ( (lv_imports_1_0= ruleImport ) )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==15) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // InternalMachine.g:96:4: (lv_imports_1_0= ruleImport )
            	    {
            	    // InternalMachine.g:96:4: (lv_imports_1_0= ruleImport )
            	    // InternalMachine.g:97:5: lv_imports_1_0= ruleImport
            	    {

            	    					newCompositeNode(grammarAccess.getMachineAccess().getImportsImportParserRuleCall_1_0());
            	    				
            	    pushFollow(FOLLOW_3);
            	    lv_imports_1_0=ruleImport();

            	    state._fsp--;


            	    					if (current==null) {
            	    						current = createModelElementForParent(grammarAccess.getMachineRule());
            	    					}
            	    					add(
            	    						current,
            	    						"imports",
            	    						lv_imports_1_0,
            	    						"org.eclipse.lsat.machine.teditor.Machine.Import");
            	    					afterParserOrEnumRuleCall();
            	    				

            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            // InternalMachine.g:114:3: (otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) ) )?
            int alt2=2;
            int LA2_0 = input.LA(1);

            if ( (LA2_0==11) ) {
                alt2=1;
            }
            switch (alt2) {
                case 1 :
                    // InternalMachine.g:115:4: otherlv_2= 'Machine' ( (lv_type_3_0= RULE_ID ) )
                    {
                    otherlv_2=(Token)match(input,11,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getMachineAccess().getMachineKeyword_2_0());
                    			
                    // InternalMachine.g:119:4: ( (lv_type_3_0= RULE_ID ) )
                    // InternalMachine.g:120:5: (lv_type_3_0= RULE_ID )
                    {
                    // InternalMachine.g:120:5: (lv_type_3_0= RULE_ID )
                    // InternalMachine.g:121:6: lv_type_3_0= RULE_ID
                    {
                    lv_type_3_0=(Token)match(input,RULE_ID,FOLLOW_5); 

                    						newLeafNode(lv_type_3_0, grammarAccess.getMachineAccess().getTypeIDTerminalRuleCall_2_1_0());
                    					

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getMachineRule());
                    						}
                    						setWithLastConsumed(
                    							current,
                    							"type",
                    							lv_type_3_0,
                    							"org.eclipse.xtext.common.Terminals.ID");
                    					

                    }


                    }


                    }
                    break;

            }

            // InternalMachine.g:138:3: (otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}' )?
            int alt4=2;
            int LA4_0 = input.LA(1);

            if ( (LA4_0==12) ) {
                alt4=1;
            }
            switch (alt4) {
                case 1 :
                    // InternalMachine.g:139:4: otherlv_4= 'PathAnnotations' otherlv_5= '{' ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )* otherlv_7= '}'
                    {
                    otherlv_4=(Token)match(input,12,FOLLOW_6); 

                    				newLeafNode(otherlv_4, grammarAccess.getMachineAccess().getPathAnnotationsKeyword_3_0());
                    			
                    otherlv_5=(Token)match(input,13,FOLLOW_7); 

                    				newLeafNode(otherlv_5, grammarAccess.getMachineAccess().getLeftCurlyBracketKeyword_3_1());
                    			
                    // InternalMachine.g:147:4: ( (lv_pathAnnotations_6_0= rulePathAnnotation ) )*
                    loop3:
                    do {
                        int alt3=2;
                        int LA3_0 = input.LA(1);

                        if ( (LA3_0==RULE_ID) ) {
                            alt3=1;
                        }


                        switch (alt3) {
                    	case 1 :
                    	    // InternalMachine.g:148:5: (lv_pathAnnotations_6_0= rulePathAnnotation )
                    	    {
                    	    // InternalMachine.g:148:5: (lv_pathAnnotations_6_0= rulePathAnnotation )
                    	    // InternalMachine.g:149:6: lv_pathAnnotations_6_0= rulePathAnnotation
                    	    {

                    	    						newCompositeNode(grammarAccess.getMachineAccess().getPathAnnotationsPathAnnotationParserRuleCall_3_2_0());
                    	    					
                    	    pushFollow(FOLLOW_7);
                    	    lv_pathAnnotations_6_0=rulePathAnnotation();

                    	    state._fsp--;


                    	    						if (current==null) {
                    	    							current = createModelElementForParent(grammarAccess.getMachineRule());
                    	    						}
                    	    						add(
                    	    							current,
                    	    							"pathAnnotations",
                    	    							lv_pathAnnotations_6_0,
                    	    							"org.eclipse.lsat.machine.teditor.Machine.PathAnnotation");
                    	    						afterParserOrEnumRuleCall();
                    	    					

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop3;
                        }
                    } while (true);

                    otherlv_7=(Token)match(input,14,FOLLOW_8); 

                    				newLeafNode(otherlv_7, grammarAccess.getMachineAccess().getRightCurlyBracketKeyword_3_3());
                    			

                    }
                    break;

            }

            // InternalMachine.g:171:3: ( ( (lv_peripheralTypes_8_0= rulePeripheralType ) ) | ( (lv_resources_9_0= ruleResource ) ) )*
            loop5:
            do {
                int alt5=3;
                int LA5_0 = input.LA(1);

                if ( (LA5_0==16) ) {
                    alt5=1;
                }
                else if ( ((LA5_0>=40 && LA5_0<=42)) ) {
                    alt5=2;
                }


                switch (alt5) {
            	case 1 :
            	    // InternalMachine.g:172:4: ( (lv_peripheralTypes_8_0= rulePeripheralType ) )
            	    {
            	    // InternalMachine.g:172:4: ( (lv_peripheralTypes_8_0= rulePeripheralType ) )
            	    // InternalMachine.g:173:5: (lv_peripheralTypes_8_0= rulePeripheralType )
            	    {
            	    // InternalMachine.g:173:5: (lv_peripheralTypes_8_0= rulePeripheralType )
            	    // InternalMachine.g:174:6: lv_peripheralTypes_8_0= rulePeripheralType
            	    {

            	    						newCompositeNode(grammarAccess.getMachineAccess().getPeripheralTypesPeripheralTypeParserRuleCall_4_0_0());
            	    					
            	    pushFollow(FOLLOW_8);
            	    lv_peripheralTypes_8_0=rulePeripheralType();

            	    state._fsp--;


            	    						if (current==null) {
            	    							current = createModelElementForParent(grammarAccess.getMachineRule());
            	    						}
            	    						add(
            	    							current,
            	    							"peripheralTypes",
            	    							lv_peripheralTypes_8_0,
            	    							"org.eclipse.lsat.machine.teditor.Machine.PeripheralType");
            	    						afterParserOrEnumRuleCall();
            	    					

            	    }


            	    }


            	    }
            	    break;
            	case 2 :
            	    // InternalMachine.g:192:4: ( (lv_resources_9_0= ruleResource ) )
            	    {
            	    // InternalMachine.g:192:4: ( (lv_resources_9_0= ruleResource ) )
            	    // InternalMachine.g:193:5: (lv_resources_9_0= ruleResource )
            	    {
            	    // InternalMachine.g:193:5: (lv_resources_9_0= ruleResource )
            	    // InternalMachine.g:194:6: lv_resources_9_0= ruleResource
            	    {

            	    						newCompositeNode(grammarAccess.getMachineAccess().getResourcesResourceParserRuleCall_4_1_0());
            	    					
            	    pushFollow(FOLLOW_8);
            	    lv_resources_9_0=ruleResource();

            	    state._fsp--;


            	    						if (current==null) {
            	    							current = createModelElementForParent(grammarAccess.getMachineRule());
            	    						}
            	    						add(
            	    							current,
            	    							"resources",
            	    							lv_resources_9_0,
            	    							"org.eclipse.lsat.machine.teditor.Machine.Resource");
            	    						afterParserOrEnumRuleCall();
            	    					

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop5;
                }
            } while (true);


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleMachine"


    // $ANTLR start "entryRuleImport"
    // InternalMachine.g:216:1: entryRuleImport returns [EObject current=null] : iv_ruleImport= ruleImport EOF ;
    public final EObject entryRuleImport() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleImport = null;


        try {
            // InternalMachine.g:216:47: (iv_ruleImport= ruleImport EOF )
            // InternalMachine.g:217:2: iv_ruleImport= ruleImport EOF
            {
             newCompositeNode(grammarAccess.getImportRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleImport=ruleImport();

            state._fsp--;

             current =iv_ruleImport; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleImport"


    // $ANTLR start "ruleImport"
    // InternalMachine.g:223:1: ruleImport returns [EObject current=null] : (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) ;
    public final EObject ruleImport() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_importURI_1_0=null;


        	enterRule();

        try {
            // InternalMachine.g:229:2: ( (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) )
            // InternalMachine.g:230:2: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            {
            // InternalMachine.g:230:2: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            // InternalMachine.g:231:3: otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) )
            {
            otherlv_0=(Token)match(input,15,FOLLOW_9); 

            			newLeafNode(otherlv_0, grammarAccess.getImportAccess().getImportKeyword_0());
            		
            // InternalMachine.g:235:3: ( (lv_importURI_1_0= RULE_STRING ) )
            // InternalMachine.g:236:4: (lv_importURI_1_0= RULE_STRING )
            {
            // InternalMachine.g:236:4: (lv_importURI_1_0= RULE_STRING )
            // InternalMachine.g:237:5: lv_importURI_1_0= RULE_STRING
            {
            lv_importURI_1_0=(Token)match(input,RULE_STRING,FOLLOW_2); 

            					newLeafNode(lv_importURI_1_0, grammarAccess.getImportAccess().getImportURISTRINGTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getImportRule());
            					}
            					setWithLastConsumed(
            						current,
            						"importURI",
            						lv_importURI_1_0,
            						"org.eclipse.xtext.common.Terminals.STRING");
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleImport"


    // $ANTLR start "entryRulePathAnnotation"
    // InternalMachine.g:257:1: entryRulePathAnnotation returns [EObject current=null] : iv_rulePathAnnotation= rulePathAnnotation EOF ;
    public final EObject entryRulePathAnnotation() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePathAnnotation = null;


        try {
            // InternalMachine.g:257:55: (iv_rulePathAnnotation= rulePathAnnotation EOF )
            // InternalMachine.g:258:2: iv_rulePathAnnotation= rulePathAnnotation EOF
            {
             newCompositeNode(grammarAccess.getPathAnnotationRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePathAnnotation=rulePathAnnotation();

            state._fsp--;

             current =iv_rulePathAnnotation; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePathAnnotation"


    // $ANTLR start "rulePathAnnotation"
    // InternalMachine.g:264:1: rulePathAnnotation returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) ) ;
    public final EObject rulePathAnnotation() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;


        	enterRule();

        try {
            // InternalMachine.g:270:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) ) )
            // InternalMachine.g:271:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            {
            // InternalMachine.g:271:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            // InternalMachine.g:272:3: () ( (lv_name_1_0= RULE_ID ) )
            {
            // InternalMachine.g:272:3: ()
            // InternalMachine.g:273:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getPathAnnotationAccess().getPathAnnotationAction_0(),
            					current);
            			

            }

            // InternalMachine.g:279:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:280:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:280:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:281:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_2); 

            					newLeafNode(lv_name_1_0, grammarAccess.getPathAnnotationAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPathAnnotationRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePathAnnotation"


    // $ANTLR start "entryRulePeripheralType"
    // InternalMachine.g:301:1: entryRulePeripheralType returns [EObject current=null] : iv_rulePeripheralType= rulePeripheralType EOF ;
    public final EObject entryRulePeripheralType() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePeripheralType = null;


        try {
            // InternalMachine.g:301:55: (iv_rulePeripheralType= rulePeripheralType EOF )
            // InternalMachine.g:302:2: iv_rulePeripheralType= rulePeripheralType EOF
            {
             newCompositeNode(grammarAccess.getPeripheralTypeRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePeripheralType=rulePeripheralType();

            state._fsp--;

             current =iv_rulePeripheralType; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePeripheralType"


    // $ANTLR start "rulePeripheralType"
    // InternalMachine.g:308:1: rulePeripheralType returns [EObject current=null] : ( () otherlv_1= 'PeripheralType' ( (lv_name_2_0= RULE_ID ) ) otherlv_3= '{' (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )? (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )? otherlv_18= '}' ) ;
    public final EObject rulePeripheralType() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token lv_name_2_0=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_11=null;
        Token otherlv_12=null;
        Token otherlv_13=null;
        Token otherlv_15=null;
        Token otherlv_16=null;
        Token lv_conversion_17_0=null;
        Token otherlv_18=null;
        EObject lv_actions_6_0 = null;

        EObject lv_setPoints_10_0 = null;

        EObject lv_axes_14_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:314:2: ( ( () otherlv_1= 'PeripheralType' ( (lv_name_2_0= RULE_ID ) ) otherlv_3= '{' (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )? (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )? otherlv_18= '}' ) )
            // InternalMachine.g:315:2: ( () otherlv_1= 'PeripheralType' ( (lv_name_2_0= RULE_ID ) ) otherlv_3= '{' (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )? (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )? otherlv_18= '}' )
            {
            // InternalMachine.g:315:2: ( () otherlv_1= 'PeripheralType' ( (lv_name_2_0= RULE_ID ) ) otherlv_3= '{' (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )? (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )? otherlv_18= '}' )
            // InternalMachine.g:316:3: () otherlv_1= 'PeripheralType' ( (lv_name_2_0= RULE_ID ) ) otherlv_3= '{' (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )? (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )? otherlv_18= '}'
            {
            // InternalMachine.g:316:3: ()
            // InternalMachine.g:317:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getPeripheralTypeAccess().getPeripheralTypeAction_0(),
            					current);
            			

            }

            otherlv_1=(Token)match(input,16,FOLLOW_4); 

            			newLeafNode(otherlv_1, grammarAccess.getPeripheralTypeAccess().getPeripheralTypeKeyword_1());
            		
            // InternalMachine.g:327:3: ( (lv_name_2_0= RULE_ID ) )
            // InternalMachine.g:328:4: (lv_name_2_0= RULE_ID )
            {
            // InternalMachine.g:328:4: (lv_name_2_0= RULE_ID )
            // InternalMachine.g:329:5: lv_name_2_0= RULE_ID
            {
            lv_name_2_0=(Token)match(input,RULE_ID,FOLLOW_6); 

            					newLeafNode(lv_name_2_0, grammarAccess.getPeripheralTypeAccess().getNameIDTerminalRuleCall_2_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPeripheralTypeRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_2_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            otherlv_3=(Token)match(input,13,FOLLOW_10); 

            			newLeafNode(otherlv_3, grammarAccess.getPeripheralTypeAccess().getLeftCurlyBracketKeyword_3());
            		
            // InternalMachine.g:349:3: (otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}' )?
            int alt7=2;
            int LA7_0 = input.LA(1);

            if ( (LA7_0==17) ) {
                alt7=1;
            }
            switch (alt7) {
                case 1 :
                    // InternalMachine.g:350:4: otherlv_4= 'Actions' otherlv_5= '{' ( (lv_actions_6_0= ruleActionType ) )* otherlv_7= '}'
                    {
                    otherlv_4=(Token)match(input,17,FOLLOW_6); 

                    				newLeafNode(otherlv_4, grammarAccess.getPeripheralTypeAccess().getActionsKeyword_4_0());
                    			
                    otherlv_5=(Token)match(input,13,FOLLOW_7); 

                    				newLeafNode(otherlv_5, grammarAccess.getPeripheralTypeAccess().getLeftCurlyBracketKeyword_4_1());
                    			
                    // InternalMachine.g:358:4: ( (lv_actions_6_0= ruleActionType ) )*
                    loop6:
                    do {
                        int alt6=2;
                        int LA6_0 = input.LA(1);

                        if ( (LA6_0==RULE_ID) ) {
                            alt6=1;
                        }


                        switch (alt6) {
                    	case 1 :
                    	    // InternalMachine.g:359:5: (lv_actions_6_0= ruleActionType )
                    	    {
                    	    // InternalMachine.g:359:5: (lv_actions_6_0= ruleActionType )
                    	    // InternalMachine.g:360:6: lv_actions_6_0= ruleActionType
                    	    {

                    	    						newCompositeNode(grammarAccess.getPeripheralTypeAccess().getActionsActionTypeParserRuleCall_4_2_0());
                    	    					
                    	    pushFollow(FOLLOW_7);
                    	    lv_actions_6_0=ruleActionType();

                    	    state._fsp--;


                    	    						if (current==null) {
                    	    							current = createModelElementForParent(grammarAccess.getPeripheralTypeRule());
                    	    						}
                    	    						add(
                    	    							current,
                    	    							"actions",
                    	    							lv_actions_6_0,
                    	    							"org.eclipse.lsat.machine.teditor.Machine.ActionType");
                    	    						afterParserOrEnumRuleCall();
                    	    					

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop6;
                        }
                    } while (true);

                    otherlv_7=(Token)match(input,14,FOLLOW_11); 

                    				newLeafNode(otherlv_7, grammarAccess.getPeripheralTypeAccess().getRightCurlyBracketKeyword_4_3());
                    			

                    }
                    break;

            }

            // InternalMachine.g:382:3: (otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )? )?
            int alt11=2;
            int LA11_0 = input.LA(1);

            if ( (LA11_0==18) ) {
                alt11=1;
            }
            switch (alt11) {
                case 1 :
                    // InternalMachine.g:383:4: otherlv_8= 'SetPoints' otherlv_9= '{' ( (lv_setPoints_10_0= ruleSetPoint ) )* otherlv_11= '}' otherlv_12= 'Axes' otherlv_13= '{' ( (lv_axes_14_0= ruleAxis ) )* otherlv_15= '}' (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )?
                    {
                    otherlv_8=(Token)match(input,18,FOLLOW_6); 

                    				newLeafNode(otherlv_8, grammarAccess.getPeripheralTypeAccess().getSetPointsKeyword_5_0());
                    			
                    otherlv_9=(Token)match(input,13,FOLLOW_7); 

                    				newLeafNode(otherlv_9, grammarAccess.getPeripheralTypeAccess().getLeftCurlyBracketKeyword_5_1());
                    			
                    // InternalMachine.g:391:4: ( (lv_setPoints_10_0= ruleSetPoint ) )*
                    loop8:
                    do {
                        int alt8=2;
                        int LA8_0 = input.LA(1);

                        if ( (LA8_0==RULE_ID) ) {
                            alt8=1;
                        }


                        switch (alt8) {
                    	case 1 :
                    	    // InternalMachine.g:392:5: (lv_setPoints_10_0= ruleSetPoint )
                    	    {
                    	    // InternalMachine.g:392:5: (lv_setPoints_10_0= ruleSetPoint )
                    	    // InternalMachine.g:393:6: lv_setPoints_10_0= ruleSetPoint
                    	    {

                    	    						newCompositeNode(grammarAccess.getPeripheralTypeAccess().getSetPointsSetPointParserRuleCall_5_2_0());
                    	    					
                    	    pushFollow(FOLLOW_7);
                    	    lv_setPoints_10_0=ruleSetPoint();

                    	    state._fsp--;


                    	    						if (current==null) {
                    	    							current = createModelElementForParent(grammarAccess.getPeripheralTypeRule());
                    	    						}
                    	    						add(
                    	    							current,
                    	    							"setPoints",
                    	    							lv_setPoints_10_0,
                    	    							"org.eclipse.lsat.machine.teditor.Machine.SetPoint");
                    	    						afterParserOrEnumRuleCall();
                    	    					

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop8;
                        }
                    } while (true);

                    otherlv_11=(Token)match(input,14,FOLLOW_12); 

                    				newLeafNode(otherlv_11, grammarAccess.getPeripheralTypeAccess().getRightCurlyBracketKeyword_5_3());
                    			
                    otherlv_12=(Token)match(input,19,FOLLOW_6); 

                    				newLeafNode(otherlv_12, grammarAccess.getPeripheralTypeAccess().getAxesKeyword_5_4());
                    			
                    otherlv_13=(Token)match(input,13,FOLLOW_7); 

                    				newLeafNode(otherlv_13, grammarAccess.getPeripheralTypeAccess().getLeftCurlyBracketKeyword_5_5());
                    			
                    // InternalMachine.g:422:4: ( (lv_axes_14_0= ruleAxis ) )*
                    loop9:
                    do {
                        int alt9=2;
                        int LA9_0 = input.LA(1);

                        if ( (LA9_0==RULE_ID) ) {
                            alt9=1;
                        }


                        switch (alt9) {
                    	case 1 :
                    	    // InternalMachine.g:423:5: (lv_axes_14_0= ruleAxis )
                    	    {
                    	    // InternalMachine.g:423:5: (lv_axes_14_0= ruleAxis )
                    	    // InternalMachine.g:424:6: lv_axes_14_0= ruleAxis
                    	    {

                    	    						newCompositeNode(grammarAccess.getPeripheralTypeAccess().getAxesAxisParserRuleCall_5_6_0());
                    	    					
                    	    pushFollow(FOLLOW_7);
                    	    lv_axes_14_0=ruleAxis();

                    	    state._fsp--;


                    	    						if (current==null) {
                    	    							current = createModelElementForParent(grammarAccess.getPeripheralTypeRule());
                    	    						}
                    	    						add(
                    	    							current,
                    	    							"axes",
                    	    							lv_axes_14_0,
                    	    							"org.eclipse.lsat.machine.teditor.Machine.Axis");
                    	    						afterParserOrEnumRuleCall();
                    	    					

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop9;
                        }
                    } while (true);

                    otherlv_15=(Token)match(input,14,FOLLOW_13); 

                    				newLeafNode(otherlv_15, grammarAccess.getPeripheralTypeAccess().getRightCurlyBracketKeyword_5_7());
                    			
                    // InternalMachine.g:445:4: (otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) ) )?
                    int alt10=2;
                    int LA10_0 = input.LA(1);

                    if ( (LA10_0==20) ) {
                        alt10=1;
                    }
                    switch (alt10) {
                        case 1 :
                            // InternalMachine.g:446:5: otherlv_16= 'Conversion' ( (lv_conversion_17_0= RULE_STRING ) )
                            {
                            otherlv_16=(Token)match(input,20,FOLLOW_9); 

                            					newLeafNode(otherlv_16, grammarAccess.getPeripheralTypeAccess().getConversionKeyword_5_8_0());
                            				
                            // InternalMachine.g:450:5: ( (lv_conversion_17_0= RULE_STRING ) )
                            // InternalMachine.g:451:6: (lv_conversion_17_0= RULE_STRING )
                            {
                            // InternalMachine.g:451:6: (lv_conversion_17_0= RULE_STRING )
                            // InternalMachine.g:452:7: lv_conversion_17_0= RULE_STRING
                            {
                            lv_conversion_17_0=(Token)match(input,RULE_STRING,FOLLOW_14); 

                            							newLeafNode(lv_conversion_17_0, grammarAccess.getPeripheralTypeAccess().getConversionSTRINGTerminalRuleCall_5_8_1_0());
                            						

                            							if (current==null) {
                            								current = createModelElement(grammarAccess.getPeripheralTypeRule());
                            							}
                            							setWithLastConsumed(
                            								current,
                            								"conversion",
                            								lv_conversion_17_0,
                            								"org.eclipse.xtext.common.Terminals.STRING");
                            						

                            }


                            }


                            }
                            break;

                    }


                    }
                    break;

            }

            otherlv_18=(Token)match(input,14,FOLLOW_2); 

            			newLeafNode(otherlv_18, grammarAccess.getPeripheralTypeAccess().getRightCurlyBracketKeyword_6());
            		

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePeripheralType"


    // $ANTLR start "entryRuleActionType"
    // InternalMachine.g:478:1: entryRuleActionType returns [EObject current=null] : iv_ruleActionType= ruleActionType EOF ;
    public final EObject entryRuleActionType() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleActionType = null;


        try {
            // InternalMachine.g:478:51: (iv_ruleActionType= ruleActionType EOF )
            // InternalMachine.g:479:2: iv_ruleActionType= ruleActionType EOF
            {
             newCompositeNode(grammarAccess.getActionTypeRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleActionType=ruleActionType();

            state._fsp--;

             current =iv_ruleActionType; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleActionType"


    // $ANTLR start "ruleActionType"
    // InternalMachine.g:485:1: ruleActionType returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) ) ;
    public final EObject ruleActionType() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;


        	enterRule();

        try {
            // InternalMachine.g:491:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) ) )
            // InternalMachine.g:492:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            {
            // InternalMachine.g:492:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            // InternalMachine.g:493:3: () ( (lv_name_1_0= RULE_ID ) )
            {
            // InternalMachine.g:493:3: ()
            // InternalMachine.g:494:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getActionTypeAccess().getActionTypeAction_0(),
            					current);
            			

            }

            // InternalMachine.g:500:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:501:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:501:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:502:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_2); 

            					newLeafNode(lv_name_1_0, grammarAccess.getActionTypeAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getActionTypeRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleActionType"


    // $ANTLR start "entryRuleSetPoint"
    // InternalMachine.g:522:1: entryRuleSetPoint returns [EObject current=null] : iv_ruleSetPoint= ruleSetPoint EOF ;
    public final EObject entryRuleSetPoint() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSetPoint = null;


        try {
            // InternalMachine.g:522:49: (iv_ruleSetPoint= ruleSetPoint EOF )
            // InternalMachine.g:523:2: iv_ruleSetPoint= ruleSetPoint EOF
            {
             newCompositeNode(grammarAccess.getSetPointRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleSetPoint=ruleSetPoint();

            state._fsp--;

             current =iv_ruleSetPoint; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSetPoint"


    // $ANTLR start "ruleSetPoint"
    // InternalMachine.g:529:1: ruleSetPoint returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? ) ;
    public final EObject ruleSetPoint() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token lv_unit_3_0=null;
        Token otherlv_4=null;


        	enterRule();

        try {
            // InternalMachine.g:535:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? ) )
            // InternalMachine.g:536:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? )
            {
            // InternalMachine.g:536:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? )
            // InternalMachine.g:537:3: () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )?
            {
            // InternalMachine.g:537:3: ()
            // InternalMachine.g:538:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getSetPointAccess().getSetPointAction_0(),
            					current);
            			

            }

            // InternalMachine.g:544:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:545:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:545:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:546:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_15); 

            					newLeafNode(lv_name_1_0, grammarAccess.getSetPointAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getSetPointRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            // InternalMachine.g:562:3: (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )?
            int alt12=2;
            int LA12_0 = input.LA(1);

            if ( (LA12_0==21) ) {
                alt12=1;
            }
            switch (alt12) {
                case 1 :
                    // InternalMachine.g:563:4: otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']'
                    {
                    otherlv_2=(Token)match(input,21,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getSetPointAccess().getLeftSquareBracketKeyword_2_0());
                    			
                    // InternalMachine.g:567:4: ( (lv_unit_3_0= RULE_ID ) )
                    // InternalMachine.g:568:5: (lv_unit_3_0= RULE_ID )
                    {
                    // InternalMachine.g:568:5: (lv_unit_3_0= RULE_ID )
                    // InternalMachine.g:569:6: lv_unit_3_0= RULE_ID
                    {
                    lv_unit_3_0=(Token)match(input,RULE_ID,FOLLOW_16); 

                    						newLeafNode(lv_unit_3_0, grammarAccess.getSetPointAccess().getUnitIDTerminalRuleCall_2_1_0());
                    					

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getSetPointRule());
                    						}
                    						setWithLastConsumed(
                    							current,
                    							"unit",
                    							lv_unit_3_0,
                    							"org.eclipse.xtext.common.Terminals.ID");
                    					

                    }


                    }

                    otherlv_4=(Token)match(input,22,FOLLOW_2); 

                    				newLeafNode(otherlv_4, grammarAccess.getSetPointAccess().getRightSquareBracketKeyword_2_2());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSetPoint"


    // $ANTLR start "entryRuleAxis"
    // InternalMachine.g:594:1: entryRuleAxis returns [EObject current=null] : iv_ruleAxis= ruleAxis EOF ;
    public final EObject entryRuleAxis() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleAxis = null;


        try {
            // InternalMachine.g:594:45: (iv_ruleAxis= ruleAxis EOF )
            // InternalMachine.g:595:2: iv_ruleAxis= ruleAxis EOF
            {
             newCompositeNode(grammarAccess.getAxisRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleAxis=ruleAxis();

            state._fsp--;

             current =iv_ruleAxis; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleAxis"


    // $ANTLR start "ruleAxis"
    // InternalMachine.g:601:1: ruleAxis returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )? ) ;
    public final EObject ruleAxis() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token lv_unit_3_0=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_8=null;


        	enterRule();

        try {
            // InternalMachine.g:607:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )? ) )
            // InternalMachine.g:608:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )? )
            {
            // InternalMachine.g:608:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )? )
            // InternalMachine.g:609:3: () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )? (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )?
            {
            // InternalMachine.g:609:3: ()
            // InternalMachine.g:610:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getAxisAccess().getAxisAction_0(),
            					current);
            			

            }

            // InternalMachine.g:616:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:617:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:617:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:618:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_17); 

            					newLeafNode(lv_name_1_0, grammarAccess.getAxisAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getAxisRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            // InternalMachine.g:634:3: (otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']' )?
            int alt13=2;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==21) ) {
                alt13=1;
            }
            switch (alt13) {
                case 1 :
                    // InternalMachine.g:635:4: otherlv_2= '[' ( (lv_unit_3_0= RULE_ID ) ) otherlv_4= ']'
                    {
                    otherlv_2=(Token)match(input,21,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getAxisAccess().getLeftSquareBracketKeyword_2_0());
                    			
                    // InternalMachine.g:639:4: ( (lv_unit_3_0= RULE_ID ) )
                    // InternalMachine.g:640:5: (lv_unit_3_0= RULE_ID )
                    {
                    // InternalMachine.g:640:5: (lv_unit_3_0= RULE_ID )
                    // InternalMachine.g:641:6: lv_unit_3_0= RULE_ID
                    {
                    lv_unit_3_0=(Token)match(input,RULE_ID,FOLLOW_16); 

                    						newLeafNode(lv_unit_3_0, grammarAccess.getAxisAccess().getUnitIDTerminalRuleCall_2_1_0());
                    					

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getAxisRule());
                    						}
                    						setWithLastConsumed(
                    							current,
                    							"unit",
                    							lv_unit_3_0,
                    							"org.eclipse.xtext.common.Terminals.ID");
                    					

                    }


                    }

                    otherlv_4=(Token)match(input,22,FOLLOW_18); 

                    				newLeafNode(otherlv_4, grammarAccess.getAxisAccess().getRightSquareBracketKeyword_2_2());
                    			

                    }
                    break;

            }

            // InternalMachine.g:662:3: (otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )* )?
            int alt15=2;
            int LA15_0 = input.LA(1);

            if ( (LA15_0==23) ) {
                alt15=1;
            }
            switch (alt15) {
                case 1 :
                    // InternalMachine.g:663:4: otherlv_5= 'moves' ( (otherlv_6= RULE_ID ) ) (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )*
                    {
                    otherlv_5=(Token)match(input,23,FOLLOW_4); 

                    				newLeafNode(otherlv_5, grammarAccess.getAxisAccess().getMovesKeyword_3_0());
                    			
                    // InternalMachine.g:667:4: ( (otherlv_6= RULE_ID ) )
                    // InternalMachine.g:668:5: (otherlv_6= RULE_ID )
                    {
                    // InternalMachine.g:668:5: (otherlv_6= RULE_ID )
                    // InternalMachine.g:669:6: otherlv_6= RULE_ID
                    {

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getAxisRule());
                    						}
                    					
                    otherlv_6=(Token)match(input,RULE_ID,FOLLOW_19); 

                    						newLeafNode(otherlv_6, grammarAccess.getAxisAccess().getSetPointsSetPointCrossReference_3_1_0());
                    					

                    }


                    }

                    // InternalMachine.g:680:4: (otherlv_7= ',' ( (otherlv_8= RULE_ID ) ) )*
                    loop14:
                    do {
                        int alt14=2;
                        int LA14_0 = input.LA(1);

                        if ( (LA14_0==24) ) {
                            alt14=1;
                        }


                        switch (alt14) {
                    	case 1 :
                    	    // InternalMachine.g:681:5: otherlv_7= ',' ( (otherlv_8= RULE_ID ) )
                    	    {
                    	    otherlv_7=(Token)match(input,24,FOLLOW_4); 

                    	    					newLeafNode(otherlv_7, grammarAccess.getAxisAccess().getCommaKeyword_3_2_0());
                    	    				
                    	    // InternalMachine.g:685:5: ( (otherlv_8= RULE_ID ) )
                    	    // InternalMachine.g:686:6: (otherlv_8= RULE_ID )
                    	    {
                    	    // InternalMachine.g:686:6: (otherlv_8= RULE_ID )
                    	    // InternalMachine.g:687:7: otherlv_8= RULE_ID
                    	    {

                    	    							if (current==null) {
                    	    								current = createModelElement(grammarAccess.getAxisRule());
                    	    							}
                    	    						
                    	    otherlv_8=(Token)match(input,RULE_ID,FOLLOW_19); 

                    	    							newLeafNode(otherlv_8, grammarAccess.getAxisAccess().getSetPointsSetPointCrossReference_3_2_1_0());
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop14;
                        }
                    } while (true);


                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleAxis"


    // $ANTLR start "entryRuleResourceItem"
    // InternalMachine.g:704:1: entryRuleResourceItem returns [EObject current=null] : iv_ruleResourceItem= ruleResourceItem EOF ;
    public final EObject entryRuleResourceItem() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleResourceItem = null;


        try {
            // InternalMachine.g:704:53: (iv_ruleResourceItem= ruleResourceItem EOF )
            // InternalMachine.g:705:2: iv_ruleResourceItem= ruleResourceItem EOF
            {
             newCompositeNode(grammarAccess.getResourceItemRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleResourceItem=ruleResourceItem();

            state._fsp--;

             current =iv_ruleResourceItem; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleResourceItem"


    // $ANTLR start "ruleResourceItem"
    // InternalMachine.g:711:1: ruleResourceItem returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) ) ;
    public final EObject ruleResourceItem() throws RecognitionException {
        EObject current = null;

        AntlrDatatypeRuleToken lv_name_1_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:717:2: ( ( () ( (lv_name_1_0= ruleIID ) ) ) )
            // InternalMachine.g:718:2: ( () ( (lv_name_1_0= ruleIID ) ) )
            {
            // InternalMachine.g:718:2: ( () ( (lv_name_1_0= ruleIID ) ) )
            // InternalMachine.g:719:3: () ( (lv_name_1_0= ruleIID ) )
            {
            // InternalMachine.g:719:3: ()
            // InternalMachine.g:720:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getResourceItemAccess().getResourceItemAction_0(),
            					current);
            			

            }

            // InternalMachine.g:726:3: ( (lv_name_1_0= ruleIID ) )
            // InternalMachine.g:727:4: (lv_name_1_0= ruleIID )
            {
            // InternalMachine.g:727:4: (lv_name_1_0= ruleIID )
            // InternalMachine.g:728:5: lv_name_1_0= ruleIID
            {

            					newCompositeNode(grammarAccess.getResourceItemAccess().getNameIIDParserRuleCall_1_0());
            				
            pushFollow(FOLLOW_2);
            lv_name_1_0=ruleIID();

            state._fsp--;


            					if (current==null) {
            						current = createModelElementForParent(grammarAccess.getResourceItemRule());
            					}
            					set(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.lsat.machine.teditor.Machine.IID");
            					afterParserOrEnumRuleCall();
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleResourceItem"


    // $ANTLR start "entryRuleResource"
    // InternalMachine.g:749:1: entryRuleResource returns [EObject current=null] : iv_ruleResource= ruleResource EOF ;
    public final EObject entryRuleResource() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleResource = null;


        try {
            // InternalMachine.g:749:49: (iv_ruleResource= ruleResource EOF )
            // InternalMachine.g:750:2: iv_ruleResource= ruleResource EOF
            {
             newCompositeNode(grammarAccess.getResourceRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleResource=ruleResource();

            state._fsp--;

             current =iv_ruleResource; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleResource"


    // $ANTLR start "ruleResource"
    // InternalMachine.g:756:1: ruleResource returns [EObject current=null] : ( ( (lv_resourceType_0_0= ruleResourceType ) ) ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )? otherlv_7= '{' ( (lv_peripherals_8_0= rulePeripheral ) )* otherlv_9= '}' ) ;
    public final EObject ruleResource() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_9=null;
        Enumerator lv_resourceType_0_0 = null;

        EObject lv_items_3_0 = null;

        EObject lv_items_5_0 = null;

        EObject lv_peripherals_8_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:762:2: ( ( ( (lv_resourceType_0_0= ruleResourceType ) ) ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )? otherlv_7= '{' ( (lv_peripherals_8_0= rulePeripheral ) )* otherlv_9= '}' ) )
            // InternalMachine.g:763:2: ( ( (lv_resourceType_0_0= ruleResourceType ) ) ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )? otherlv_7= '{' ( (lv_peripherals_8_0= rulePeripheral ) )* otherlv_9= '}' )
            {
            // InternalMachine.g:763:2: ( ( (lv_resourceType_0_0= ruleResourceType ) ) ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )? otherlv_7= '{' ( (lv_peripherals_8_0= rulePeripheral ) )* otherlv_9= '}' )
            // InternalMachine.g:764:3: ( (lv_resourceType_0_0= ruleResourceType ) ) ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )? otherlv_7= '{' ( (lv_peripherals_8_0= rulePeripheral ) )* otherlv_9= '}'
            {
            // InternalMachine.g:764:3: ( (lv_resourceType_0_0= ruleResourceType ) )
            // InternalMachine.g:765:4: (lv_resourceType_0_0= ruleResourceType )
            {
            // InternalMachine.g:765:4: (lv_resourceType_0_0= ruleResourceType )
            // InternalMachine.g:766:5: lv_resourceType_0_0= ruleResourceType
            {

            					newCompositeNode(grammarAccess.getResourceAccess().getResourceTypeResourceTypeEnumRuleCall_0_0());
            				
            pushFollow(FOLLOW_4);
            lv_resourceType_0_0=ruleResourceType();

            state._fsp--;


            					if (current==null) {
            						current = createModelElementForParent(grammarAccess.getResourceRule());
            					}
            					set(
            						current,
            						"resourceType",
            						lv_resourceType_0_0,
            						"org.eclipse.lsat.machine.teditor.Machine.ResourceType");
            					afterParserOrEnumRuleCall();
            				

            }


            }

            // InternalMachine.g:783:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:784:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:784:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:785:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_20); 

            					newLeafNode(lv_name_1_0, grammarAccess.getResourceAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getResourceRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            // InternalMachine.g:801:3: (otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')' )?
            int alt17=2;
            int LA17_0 = input.LA(1);

            if ( (LA17_0==25) ) {
                alt17=1;
            }
            switch (alt17) {
                case 1 :
                    // InternalMachine.g:802:4: otherlv_2= '(' ( (lv_items_3_0= ruleResourceItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )* otherlv_6= ')'
                    {
                    otherlv_2=(Token)match(input,25,FOLLOW_21); 

                    				newLeafNode(otherlv_2, grammarAccess.getResourceAccess().getLeftParenthesisKeyword_2_0());
                    			
                    // InternalMachine.g:806:4: ( (lv_items_3_0= ruleResourceItem ) )
                    // InternalMachine.g:807:5: (lv_items_3_0= ruleResourceItem )
                    {
                    // InternalMachine.g:807:5: (lv_items_3_0= ruleResourceItem )
                    // InternalMachine.g:808:6: lv_items_3_0= ruleResourceItem
                    {

                    						newCompositeNode(grammarAccess.getResourceAccess().getItemsResourceItemParserRuleCall_2_1_0());
                    					
                    pushFollow(FOLLOW_22);
                    lv_items_3_0=ruleResourceItem();

                    state._fsp--;


                    						if (current==null) {
                    							current = createModelElementForParent(grammarAccess.getResourceRule());
                    						}
                    						add(
                    							current,
                    							"items",
                    							lv_items_3_0,
                    							"org.eclipse.lsat.machine.teditor.Machine.ResourceItem");
                    						afterParserOrEnumRuleCall();
                    					

                    }


                    }

                    // InternalMachine.g:825:4: (otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) ) )*
                    loop16:
                    do {
                        int alt16=2;
                        int LA16_0 = input.LA(1);

                        if ( (LA16_0==24) ) {
                            alt16=1;
                        }


                        switch (alt16) {
                    	case 1 :
                    	    // InternalMachine.g:826:5: otherlv_4= ',' ( (lv_items_5_0= ruleResourceItem ) )
                    	    {
                    	    otherlv_4=(Token)match(input,24,FOLLOW_21); 

                    	    					newLeafNode(otherlv_4, grammarAccess.getResourceAccess().getCommaKeyword_2_2_0());
                    	    				
                    	    // InternalMachine.g:830:5: ( (lv_items_5_0= ruleResourceItem ) )
                    	    // InternalMachine.g:831:6: (lv_items_5_0= ruleResourceItem )
                    	    {
                    	    // InternalMachine.g:831:6: (lv_items_5_0= ruleResourceItem )
                    	    // InternalMachine.g:832:7: lv_items_5_0= ruleResourceItem
                    	    {

                    	    							newCompositeNode(grammarAccess.getResourceAccess().getItemsResourceItemParserRuleCall_2_2_1_0());
                    	    						
                    	    pushFollow(FOLLOW_22);
                    	    lv_items_5_0=ruleResourceItem();

                    	    state._fsp--;


                    	    							if (current==null) {
                    	    								current = createModelElementForParent(grammarAccess.getResourceRule());
                    	    							}
                    	    							add(
                    	    								current,
                    	    								"items",
                    	    								lv_items_5_0,
                    	    								"org.eclipse.lsat.machine.teditor.Machine.ResourceItem");
                    	    							afterParserOrEnumRuleCall();
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop16;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,26,FOLLOW_6); 

                    				newLeafNode(otherlv_6, grammarAccess.getResourceAccess().getRightParenthesisKeyword_2_3());
                    			

                    }
                    break;

            }

            otherlv_7=(Token)match(input,13,FOLLOW_7); 

            			newLeafNode(otherlv_7, grammarAccess.getResourceAccess().getLeftCurlyBracketKeyword_3());
            		
            // InternalMachine.g:859:3: ( (lv_peripherals_8_0= rulePeripheral ) )*
            loop18:
            do {
                int alt18=2;
                int LA18_0 = input.LA(1);

                if ( (LA18_0==RULE_ID) ) {
                    alt18=1;
                }


                switch (alt18) {
            	case 1 :
            	    // InternalMachine.g:860:4: (lv_peripherals_8_0= rulePeripheral )
            	    {
            	    // InternalMachine.g:860:4: (lv_peripherals_8_0= rulePeripheral )
            	    // InternalMachine.g:861:5: lv_peripherals_8_0= rulePeripheral
            	    {

            	    					newCompositeNode(grammarAccess.getResourceAccess().getPeripheralsPeripheralParserRuleCall_4_0());
            	    				
            	    pushFollow(FOLLOW_7);
            	    lv_peripherals_8_0=rulePeripheral();

            	    state._fsp--;


            	    					if (current==null) {
            	    						current = createModelElementForParent(grammarAccess.getResourceRule());
            	    					}
            	    					add(
            	    						current,
            	    						"peripherals",
            	    						lv_peripherals_8_0,
            	    						"org.eclipse.lsat.machine.teditor.Machine.Peripheral");
            	    					afterParserOrEnumRuleCall();
            	    				

            	    }


            	    }
            	    break;

            	default :
            	    break loop18;
                }
            } while (true);

            otherlv_9=(Token)match(input,14,FOLLOW_2); 

            			newLeafNode(otherlv_9, grammarAccess.getResourceAccess().getRightCurlyBracketKeyword_5());
            		

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleResource"


    // $ANTLR start "entryRulePeripheral"
    // InternalMachine.g:886:1: entryRulePeripheral returns [EObject current=null] : iv_rulePeripheral= rulePeripheral EOF ;
    public final EObject entryRulePeripheral() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePeripheral = null;


        try {
            // InternalMachine.g:886:51: (iv_rulePeripheral= rulePeripheral EOF )
            // InternalMachine.g:887:2: iv_rulePeripheral= rulePeripheral EOF
            {
             newCompositeNode(grammarAccess.getPeripheralRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePeripheral=rulePeripheral();

            state._fsp--;

             current =iv_rulePeripheral; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePeripheral"


    // $ANTLR start "rulePeripheral"
    // InternalMachine.g:893:1: rulePeripheral returns [EObject current=null] : ( ( (lv_name_0_0= RULE_ID ) ) otherlv_1= ':' ( (otherlv_2= RULE_ID ) ) (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )? ) ;
    public final EObject rulePeripheral() throws RecognitionException {
        EObject current = null;

        Token lv_name_0_0=null;
        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_11=null;
        Token otherlv_12=null;
        Token otherlv_13=null;
        Token otherlv_15=null;
        Token otherlv_17=null;
        Token otherlv_18=null;
        Token otherlv_19=null;
        Token otherlv_21=null;
        Token otherlv_22=null;
        Token otherlv_23=null;
        Token otherlv_25=null;
        Token otherlv_26=null;
        EObject lv_axisPositions_6_0 = null;

        EObject lv_positions_10_0 = null;

        EObject lv_profiles_14_0 = null;

        EObject lv_profiles_16_0 = null;

        EObject lv_distances_20_0 = null;

        EObject lv_paths_24_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:899:2: ( ( ( (lv_name_0_0= RULE_ID ) ) otherlv_1= ':' ( (otherlv_2= RULE_ID ) ) (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )? ) )
            // InternalMachine.g:900:2: ( ( (lv_name_0_0= RULE_ID ) ) otherlv_1= ':' ( (otherlv_2= RULE_ID ) ) (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )? )
            {
            // InternalMachine.g:900:2: ( ( (lv_name_0_0= RULE_ID ) ) otherlv_1= ':' ( (otherlv_2= RULE_ID ) ) (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )? )
            // InternalMachine.g:901:3: ( (lv_name_0_0= RULE_ID ) ) otherlv_1= ':' ( (otherlv_2= RULE_ID ) ) (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )?
            {
            // InternalMachine.g:901:3: ( (lv_name_0_0= RULE_ID ) )
            // InternalMachine.g:902:4: (lv_name_0_0= RULE_ID )
            {
            // InternalMachine.g:902:4: (lv_name_0_0= RULE_ID )
            // InternalMachine.g:903:5: lv_name_0_0= RULE_ID
            {
            lv_name_0_0=(Token)match(input,RULE_ID,FOLLOW_23); 

            					newLeafNode(lv_name_0_0, grammarAccess.getPeripheralAccess().getNameIDTerminalRuleCall_0_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPeripheralRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_0_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            otherlv_1=(Token)match(input,27,FOLLOW_4); 

            			newLeafNode(otherlv_1, grammarAccess.getPeripheralAccess().getColonKeyword_1());
            		
            // InternalMachine.g:923:3: ( (otherlv_2= RULE_ID ) )
            // InternalMachine.g:924:4: (otherlv_2= RULE_ID )
            {
            // InternalMachine.g:924:4: (otherlv_2= RULE_ID )
            // InternalMachine.g:925:5: otherlv_2= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPeripheralRule());
            					}
            				
            otherlv_2=(Token)match(input,RULE_ID,FOLLOW_24); 

            					newLeafNode(otherlv_2, grammarAccess.getPeripheralAccess().getTypePeripheralTypeCrossReference_2_0());
            				

            }


            }

            // InternalMachine.g:936:3: (otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}' )?
            int alt29=2;
            int LA29_0 = input.LA(1);

            if ( (LA29_0==13) ) {
                alt29=1;
            }
            switch (alt29) {
                case 1 :
                    // InternalMachine.g:937:4: otherlv_3= '{' ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )? otherlv_26= '}'
                    {
                    otherlv_3=(Token)match(input,13,FOLLOW_25); 

                    				newLeafNode(otherlv_3, grammarAccess.getPeripheralAccess().getLeftCurlyBracketKeyword_3_0());
                    			
                    // InternalMachine.g:941:4: ( (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )? )?
                    int alt28=2;
                    int LA28_0 = input.LA(1);

                    if ( ((LA28_0>=28 && LA28_0<=30)) ) {
                        alt28=1;
                    }
                    switch (alt28) {
                        case 1 :
                            // InternalMachine.g:942:5: (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )? (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )? otherlv_12= 'Profiles' otherlv_13= '(' ( (lv_profiles_14_0= ruleProfile ) ) (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )* otherlv_17= ')' (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )? (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )?
                            {
                            // InternalMachine.g:942:5: (otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}' )?
                            int alt20=2;
                            int LA20_0 = input.LA(1);

                            if ( (LA20_0==28) ) {
                                alt20=1;
                            }
                            switch (alt20) {
                                case 1 :
                                    // InternalMachine.g:943:6: otherlv_4= 'AxisPositions' otherlv_5= '{' ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )* otherlv_7= '}'
                                    {
                                    otherlv_4=(Token)match(input,28,FOLLOW_6); 

                                    						newLeafNode(otherlv_4, grammarAccess.getPeripheralAccess().getAxisPositionsKeyword_3_1_0_0());
                                    					
                                    otherlv_5=(Token)match(input,13,FOLLOW_7); 

                                    						newLeafNode(otherlv_5, grammarAccess.getPeripheralAccess().getLeftCurlyBracketKeyword_3_1_0_1());
                                    					
                                    // InternalMachine.g:951:6: ( (lv_axisPositions_6_0= ruleAxisPositionsMapEntry ) )*
                                    loop19:
                                    do {
                                        int alt19=2;
                                        int LA19_0 = input.LA(1);

                                        if ( (LA19_0==RULE_ID) ) {
                                            alt19=1;
                                        }


                                        switch (alt19) {
                                    	case 1 :
                                    	    // InternalMachine.g:952:7: (lv_axisPositions_6_0= ruleAxisPositionsMapEntry )
                                    	    {
                                    	    // InternalMachine.g:952:7: (lv_axisPositions_6_0= ruleAxisPositionsMapEntry )
                                    	    // InternalMachine.g:953:8: lv_axisPositions_6_0= ruleAxisPositionsMapEntry
                                    	    {

                                    	    								newCompositeNode(grammarAccess.getPeripheralAccess().getAxisPositionsAxisPositionsMapEntryParserRuleCall_3_1_0_2_0());
                                    	    							
                                    	    pushFollow(FOLLOW_7);
                                    	    lv_axisPositions_6_0=ruleAxisPositionsMapEntry();

                                    	    state._fsp--;


                                    	    								if (current==null) {
                                    	    									current = createModelElementForParent(grammarAccess.getPeripheralRule());
                                    	    								}
                                    	    								add(
                                    	    									current,
                                    	    									"axisPositions",
                                    	    									lv_axisPositions_6_0,
                                    	    									"org.eclipse.lsat.machine.teditor.Machine.AxisPositionsMapEntry");
                                    	    								afterParserOrEnumRuleCall();
                                    	    							

                                    	    }


                                    	    }
                                    	    break;

                                    	default :
                                    	    break loop19;
                                        }
                                    } while (true);

                                    otherlv_7=(Token)match(input,14,FOLLOW_26); 

                                    						newLeafNode(otherlv_7, grammarAccess.getPeripheralAccess().getRightCurlyBracketKeyword_3_1_0_3());
                                    					

                                    }
                                    break;

                            }

                            // InternalMachine.g:975:5: (otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}' )?
                            int alt22=2;
                            int LA22_0 = input.LA(1);

                            if ( (LA22_0==29) ) {
                                alt22=1;
                            }
                            switch (alt22) {
                                case 1 :
                                    // InternalMachine.g:976:6: otherlv_8= 'SymbolicPositions' otherlv_9= '{' ( (lv_positions_10_0= ruleSymbolicPosition ) )* otherlv_11= '}'
                                    {
                                    otherlv_8=(Token)match(input,29,FOLLOW_6); 

                                    						newLeafNode(otherlv_8, grammarAccess.getPeripheralAccess().getSymbolicPositionsKeyword_3_1_1_0());
                                    					
                                    otherlv_9=(Token)match(input,13,FOLLOW_7); 

                                    						newLeafNode(otherlv_9, grammarAccess.getPeripheralAccess().getLeftCurlyBracketKeyword_3_1_1_1());
                                    					
                                    // InternalMachine.g:984:6: ( (lv_positions_10_0= ruleSymbolicPosition ) )*
                                    loop21:
                                    do {
                                        int alt21=2;
                                        int LA21_0 = input.LA(1);

                                        if ( (LA21_0==RULE_ID) ) {
                                            alt21=1;
                                        }


                                        switch (alt21) {
                                    	case 1 :
                                    	    // InternalMachine.g:985:7: (lv_positions_10_0= ruleSymbolicPosition )
                                    	    {
                                    	    // InternalMachine.g:985:7: (lv_positions_10_0= ruleSymbolicPosition )
                                    	    // InternalMachine.g:986:8: lv_positions_10_0= ruleSymbolicPosition
                                    	    {

                                    	    								newCompositeNode(grammarAccess.getPeripheralAccess().getPositionsSymbolicPositionParserRuleCall_3_1_1_2_0());
                                    	    							
                                    	    pushFollow(FOLLOW_7);
                                    	    lv_positions_10_0=ruleSymbolicPosition();

                                    	    state._fsp--;


                                    	    								if (current==null) {
                                    	    									current = createModelElementForParent(grammarAccess.getPeripheralRule());
                                    	    								}
                                    	    								add(
                                    	    									current,
                                    	    									"positions",
                                    	    									lv_positions_10_0,
                                    	    									"org.eclipse.lsat.machine.teditor.Machine.SymbolicPosition");
                                    	    								afterParserOrEnumRuleCall();
                                    	    							

                                    	    }


                                    	    }
                                    	    break;

                                    	default :
                                    	    break loop21;
                                        }
                                    } while (true);

                                    otherlv_11=(Token)match(input,14,FOLLOW_27); 

                                    						newLeafNode(otherlv_11, grammarAccess.getPeripheralAccess().getRightCurlyBracketKeyword_3_1_1_3());
                                    					

                                    }
                                    break;

                            }

                            otherlv_12=(Token)match(input,30,FOLLOW_28); 

                            					newLeafNode(otherlv_12, grammarAccess.getPeripheralAccess().getProfilesKeyword_3_1_2());
                            				
                            otherlv_13=(Token)match(input,25,FOLLOW_4); 

                            					newLeafNode(otherlv_13, grammarAccess.getPeripheralAccess().getLeftParenthesisKeyword_3_1_3());
                            				
                            // InternalMachine.g:1016:5: ( (lv_profiles_14_0= ruleProfile ) )
                            // InternalMachine.g:1017:6: (lv_profiles_14_0= ruleProfile )
                            {
                            // InternalMachine.g:1017:6: (lv_profiles_14_0= ruleProfile )
                            // InternalMachine.g:1018:7: lv_profiles_14_0= ruleProfile
                            {

                            							newCompositeNode(grammarAccess.getPeripheralAccess().getProfilesProfileParserRuleCall_3_1_4_0());
                            						
                            pushFollow(FOLLOW_22);
                            lv_profiles_14_0=ruleProfile();

                            state._fsp--;


                            							if (current==null) {
                            								current = createModelElementForParent(grammarAccess.getPeripheralRule());
                            							}
                            							add(
                            								current,
                            								"profiles",
                            								lv_profiles_14_0,
                            								"org.eclipse.lsat.machine.teditor.Machine.Profile");
                            							afterParserOrEnumRuleCall();
                            						

                            }


                            }

                            // InternalMachine.g:1035:5: (otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) ) )*
                            loop23:
                            do {
                                int alt23=2;
                                int LA23_0 = input.LA(1);

                                if ( (LA23_0==24) ) {
                                    alt23=1;
                                }


                                switch (alt23) {
                            	case 1 :
                            	    // InternalMachine.g:1036:6: otherlv_15= ',' ( (lv_profiles_16_0= ruleProfile ) )
                            	    {
                            	    otherlv_15=(Token)match(input,24,FOLLOW_4); 

                            	    						newLeafNode(otherlv_15, grammarAccess.getPeripheralAccess().getCommaKeyword_3_1_5_0());
                            	    					
                            	    // InternalMachine.g:1040:6: ( (lv_profiles_16_0= ruleProfile ) )
                            	    // InternalMachine.g:1041:7: (lv_profiles_16_0= ruleProfile )
                            	    {
                            	    // InternalMachine.g:1041:7: (lv_profiles_16_0= ruleProfile )
                            	    // InternalMachine.g:1042:8: lv_profiles_16_0= ruleProfile
                            	    {

                            	    								newCompositeNode(grammarAccess.getPeripheralAccess().getProfilesProfileParserRuleCall_3_1_5_1_0());
                            	    							
                            	    pushFollow(FOLLOW_22);
                            	    lv_profiles_16_0=ruleProfile();

                            	    state._fsp--;


                            	    								if (current==null) {
                            	    									current = createModelElementForParent(grammarAccess.getPeripheralRule());
                            	    								}
                            	    								add(
                            	    									current,
                            	    									"profiles",
                            	    									lv_profiles_16_0,
                            	    									"org.eclipse.lsat.machine.teditor.Machine.Profile");
                            	    								afterParserOrEnumRuleCall();
                            	    							

                            	    }


                            	    }


                            	    }
                            	    break;

                            	default :
                            	    break loop23;
                                }
                            } while (true);

                            otherlv_17=(Token)match(input,26,FOLLOW_29); 

                            					newLeafNode(otherlv_17, grammarAccess.getPeripheralAccess().getRightParenthesisKeyword_3_1_6());
                            				
                            // InternalMachine.g:1064:5: (otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}' )?
                            int alt25=2;
                            int LA25_0 = input.LA(1);

                            if ( (LA25_0==31) ) {
                                alt25=1;
                            }
                            switch (alt25) {
                                case 1 :
                                    // InternalMachine.g:1065:6: otherlv_18= 'Distances' otherlv_19= '{' ( (lv_distances_20_0= ruleDistance ) )* otherlv_21= '}'
                                    {
                                    otherlv_18=(Token)match(input,31,FOLLOW_6); 

                                    						newLeafNode(otherlv_18, grammarAccess.getPeripheralAccess().getDistancesKeyword_3_1_7_0());
                                    					
                                    otherlv_19=(Token)match(input,13,FOLLOW_7); 

                                    						newLeafNode(otherlv_19, grammarAccess.getPeripheralAccess().getLeftCurlyBracketKeyword_3_1_7_1());
                                    					
                                    // InternalMachine.g:1073:6: ( (lv_distances_20_0= ruleDistance ) )*
                                    loop24:
                                    do {
                                        int alt24=2;
                                        int LA24_0 = input.LA(1);

                                        if ( (LA24_0==RULE_ID) ) {
                                            alt24=1;
                                        }


                                        switch (alt24) {
                                    	case 1 :
                                    	    // InternalMachine.g:1074:7: (lv_distances_20_0= ruleDistance )
                                    	    {
                                    	    // InternalMachine.g:1074:7: (lv_distances_20_0= ruleDistance )
                                    	    // InternalMachine.g:1075:8: lv_distances_20_0= ruleDistance
                                    	    {

                                    	    								newCompositeNode(grammarAccess.getPeripheralAccess().getDistancesDistanceParserRuleCall_3_1_7_2_0());
                                    	    							
                                    	    pushFollow(FOLLOW_7);
                                    	    lv_distances_20_0=ruleDistance();

                                    	    state._fsp--;


                                    	    								if (current==null) {
                                    	    									current = createModelElementForParent(grammarAccess.getPeripheralRule());
                                    	    								}
                                    	    								add(
                                    	    									current,
                                    	    									"distances",
                                    	    									lv_distances_20_0,
                                    	    									"org.eclipse.lsat.machine.teditor.Machine.Distance");
                                    	    								afterParserOrEnumRuleCall();
                                    	    							

                                    	    }


                                    	    }
                                    	    break;

                                    	default :
                                    	    break loop24;
                                        }
                                    } while (true);

                                    otherlv_21=(Token)match(input,14,FOLLOW_30); 

                                    						newLeafNode(otherlv_21, grammarAccess.getPeripheralAccess().getRightCurlyBracketKeyword_3_1_7_3());
                                    					

                                    }
                                    break;

                            }

                            // InternalMachine.g:1097:5: (otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}' )?
                            int alt27=2;
                            int LA27_0 = input.LA(1);

                            if ( (LA27_0==32) ) {
                                alt27=1;
                            }
                            switch (alt27) {
                                case 1 :
                                    // InternalMachine.g:1098:6: otherlv_22= 'Paths' otherlv_23= '{' ( (lv_paths_24_0= rulePath ) )* otherlv_25= '}'
                                    {
                                    otherlv_22=(Token)match(input,32,FOLLOW_6); 

                                    						newLeafNode(otherlv_22, grammarAccess.getPeripheralAccess().getPathsKeyword_3_1_8_0());
                                    					
                                    otherlv_23=(Token)match(input,13,FOLLOW_31); 

                                    						newLeafNode(otherlv_23, grammarAccess.getPeripheralAccess().getLeftCurlyBracketKeyword_3_1_8_1());
                                    					
                                    // InternalMachine.g:1106:6: ( (lv_paths_24_0= rulePath ) )*
                                    loop26:
                                    do {
                                        int alt26=2;
                                        int LA26_0 = input.LA(1);

                                        if ( (LA26_0==RULE_ID||LA26_0==39) ) {
                                            alt26=1;
                                        }


                                        switch (alt26) {
                                    	case 1 :
                                    	    // InternalMachine.g:1107:7: (lv_paths_24_0= rulePath )
                                    	    {
                                    	    // InternalMachine.g:1107:7: (lv_paths_24_0= rulePath )
                                    	    // InternalMachine.g:1108:8: lv_paths_24_0= rulePath
                                    	    {

                                    	    								newCompositeNode(grammarAccess.getPeripheralAccess().getPathsPathParserRuleCall_3_1_8_2_0());
                                    	    							
                                    	    pushFollow(FOLLOW_31);
                                    	    lv_paths_24_0=rulePath();

                                    	    state._fsp--;


                                    	    								if (current==null) {
                                    	    									current = createModelElementForParent(grammarAccess.getPeripheralRule());
                                    	    								}
                                    	    								add(
                                    	    									current,
                                    	    									"paths",
                                    	    									lv_paths_24_0,
                                    	    									"org.eclipse.lsat.machine.teditor.Machine.Path");
                                    	    								afterParserOrEnumRuleCall();
                                    	    							

                                    	    }


                                    	    }
                                    	    break;

                                    	default :
                                    	    break loop26;
                                        }
                                    } while (true);

                                    otherlv_25=(Token)match(input,14,FOLLOW_14); 

                                    						newLeafNode(otherlv_25, grammarAccess.getPeripheralAccess().getRightCurlyBracketKeyword_3_1_8_3());
                                    					

                                    }
                                    break;

                            }


                            }
                            break;

                    }

                    otherlv_26=(Token)match(input,14,FOLLOW_2); 

                    				newLeafNode(otherlv_26, grammarAccess.getPeripheralAccess().getRightCurlyBracketKeyword_3_2());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePeripheral"


    // $ANTLR start "entryRuleDistance"
    // InternalMachine.g:1140:1: entryRuleDistance returns [EObject current=null] : iv_ruleDistance= ruleDistance EOF ;
    public final EObject entryRuleDistance() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleDistance = null;


        try {
            // InternalMachine.g:1140:49: (iv_ruleDistance= ruleDistance EOF )
            // InternalMachine.g:1141:2: iv_ruleDistance= ruleDistance EOF
            {
             newCompositeNode(grammarAccess.getDistanceRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleDistance=ruleDistance();

            state._fsp--;

             current =iv_ruleDistance; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleDistance"


    // $ANTLR start "ruleDistance"
    // InternalMachine.g:1147:1: ruleDistance returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? ) ;
    public final EObject ruleDistance() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;


        	enterRule();

        try {
            // InternalMachine.g:1153:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? ) )
            // InternalMachine.g:1154:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? )
            {
            // InternalMachine.g:1154:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? )
            // InternalMachine.g:1155:3: () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )?
            {
            // InternalMachine.g:1155:3: ()
            // InternalMachine.g:1156:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getDistanceAccess().getDistanceAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1162:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:1163:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:1163:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:1164:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_15); 

            					newLeafNode(lv_name_1_0, grammarAccess.getDistanceAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getDistanceRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            // InternalMachine.g:1180:3: (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )?
            int alt31=2;
            int LA31_0 = input.LA(1);

            if ( (LA31_0==21) ) {
                alt31=1;
            }
            switch (alt31) {
                case 1 :
                    // InternalMachine.g:1181:4: otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']'
                    {
                    otherlv_2=(Token)match(input,21,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getDistanceAccess().getLeftSquareBracketKeyword_2_0());
                    			
                    // InternalMachine.g:1185:4: ( (otherlv_3= RULE_ID ) )
                    // InternalMachine.g:1186:5: (otherlv_3= RULE_ID )
                    {
                    // InternalMachine.g:1186:5: (otherlv_3= RULE_ID )
                    // InternalMachine.g:1187:6: otherlv_3= RULE_ID
                    {

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getDistanceRule());
                    						}
                    					
                    otherlv_3=(Token)match(input,RULE_ID,FOLLOW_32); 

                    						newLeafNode(otherlv_3, grammarAccess.getDistanceAccess().getSettlingAxisCrossReference_2_1_0());
                    					

                    }


                    }

                    // InternalMachine.g:1198:4: (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )*
                    loop30:
                    do {
                        int alt30=2;
                        int LA30_0 = input.LA(1);

                        if ( (LA30_0==24) ) {
                            alt30=1;
                        }


                        switch (alt30) {
                    	case 1 :
                    	    // InternalMachine.g:1199:5: otherlv_4= ',' ( (otherlv_5= RULE_ID ) )
                    	    {
                    	    otherlv_4=(Token)match(input,24,FOLLOW_4); 

                    	    					newLeafNode(otherlv_4, grammarAccess.getDistanceAccess().getCommaKeyword_2_2_0());
                    	    				
                    	    // InternalMachine.g:1203:5: ( (otherlv_5= RULE_ID ) )
                    	    // InternalMachine.g:1204:6: (otherlv_5= RULE_ID )
                    	    {
                    	    // InternalMachine.g:1204:6: (otherlv_5= RULE_ID )
                    	    // InternalMachine.g:1205:7: otherlv_5= RULE_ID
                    	    {

                    	    							if (current==null) {
                    	    								current = createModelElement(grammarAccess.getDistanceRule());
                    	    							}
                    	    						
                    	    otherlv_5=(Token)match(input,RULE_ID,FOLLOW_32); 

                    	    							newLeafNode(otherlv_5, grammarAccess.getDistanceAccess().getSettlingAxisCrossReference_2_2_1_0());
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop30;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,22,FOLLOW_2); 

                    				newLeafNode(otherlv_6, grammarAccess.getDistanceAccess().getRightSquareBracketKeyword_2_3());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleDistance"


    // $ANTLR start "entryRuleAxisPositionsMapEntry"
    // InternalMachine.g:1226:1: entryRuleAxisPositionsMapEntry returns [EObject current=null] : iv_ruleAxisPositionsMapEntry= ruleAxisPositionsMapEntry EOF ;
    public final EObject entryRuleAxisPositionsMapEntry() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleAxisPositionsMapEntry = null;


        try {
            // InternalMachine.g:1226:62: (iv_ruleAxisPositionsMapEntry= ruleAxisPositionsMapEntry EOF )
            // InternalMachine.g:1227:2: iv_ruleAxisPositionsMapEntry= ruleAxisPositionsMapEntry EOF
            {
             newCompositeNode(grammarAccess.getAxisPositionsMapEntryRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleAxisPositionsMapEntry=ruleAxisPositionsMapEntry();

            state._fsp--;

             current =iv_ruleAxisPositionsMapEntry; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleAxisPositionsMapEntry"


    // $ANTLR start "ruleAxisPositionsMapEntry"
    // InternalMachine.g:1233:1: ruleAxisPositionsMapEntry returns [EObject current=null] : ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )? ) ;
    public final EObject ruleAxisPositionsMapEntry() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        EObject lv_value_3_0 = null;

        EObject lv_value_5_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:1239:2: ( ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )? ) )
            // InternalMachine.g:1240:2: ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )? )
            {
            // InternalMachine.g:1240:2: ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )? )
            // InternalMachine.g:1241:3: () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )?
            {
            // InternalMachine.g:1241:3: ()
            // InternalMachine.g:1242:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getAxisPositionsMapEntryAccess().getAxisPositionsMapEntryAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1248:3: ( (otherlv_1= RULE_ID ) )
            // InternalMachine.g:1249:4: (otherlv_1= RULE_ID )
            {
            // InternalMachine.g:1249:4: (otherlv_1= RULE_ID )
            // InternalMachine.g:1250:5: otherlv_1= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getAxisPositionsMapEntryRule());
            					}
            				
            otherlv_1=(Token)match(input,RULE_ID,FOLLOW_33); 

            					newLeafNode(otherlv_1, grammarAccess.getAxisPositionsMapEntryAccess().getKeyAxisCrossReference_1_0());
            				

            }


            }

            // InternalMachine.g:1261:3: (otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')' )?
            int alt33=2;
            int LA33_0 = input.LA(1);

            if ( (LA33_0==25) ) {
                alt33=1;
            }
            switch (alt33) {
                case 1 :
                    // InternalMachine.g:1262:4: otherlv_2= '(' ( (lv_value_3_0= rulePosition ) ) (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )* otherlv_6= ')'
                    {
                    otherlv_2=(Token)match(input,25,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getAxisPositionsMapEntryAccess().getLeftParenthesisKeyword_2_0());
                    			
                    // InternalMachine.g:1266:4: ( (lv_value_3_0= rulePosition ) )
                    // InternalMachine.g:1267:5: (lv_value_3_0= rulePosition )
                    {
                    // InternalMachine.g:1267:5: (lv_value_3_0= rulePosition )
                    // InternalMachine.g:1268:6: lv_value_3_0= rulePosition
                    {

                    						newCompositeNode(grammarAccess.getAxisPositionsMapEntryAccess().getValuePositionParserRuleCall_2_1_0());
                    					
                    pushFollow(FOLLOW_22);
                    lv_value_3_0=rulePosition();

                    state._fsp--;


                    						if (current==null) {
                    							current = createModelElementForParent(grammarAccess.getAxisPositionsMapEntryRule());
                    						}
                    						add(
                    							current,
                    							"value",
                    							lv_value_3_0,
                    							"org.eclipse.lsat.machine.teditor.Machine.Position");
                    						afterParserOrEnumRuleCall();
                    					

                    }


                    }

                    // InternalMachine.g:1285:4: (otherlv_4= ',' ( (lv_value_5_0= rulePosition ) ) )*
                    loop32:
                    do {
                        int alt32=2;
                        int LA32_0 = input.LA(1);

                        if ( (LA32_0==24) ) {
                            alt32=1;
                        }


                        switch (alt32) {
                    	case 1 :
                    	    // InternalMachine.g:1286:5: otherlv_4= ',' ( (lv_value_5_0= rulePosition ) )
                    	    {
                    	    otherlv_4=(Token)match(input,24,FOLLOW_4); 

                    	    					newLeafNode(otherlv_4, grammarAccess.getAxisPositionsMapEntryAccess().getCommaKeyword_2_2_0());
                    	    				
                    	    // InternalMachine.g:1290:5: ( (lv_value_5_0= rulePosition ) )
                    	    // InternalMachine.g:1291:6: (lv_value_5_0= rulePosition )
                    	    {
                    	    // InternalMachine.g:1291:6: (lv_value_5_0= rulePosition )
                    	    // InternalMachine.g:1292:7: lv_value_5_0= rulePosition
                    	    {

                    	    							newCompositeNode(grammarAccess.getAxisPositionsMapEntryAccess().getValuePositionParserRuleCall_2_2_1_0());
                    	    						
                    	    pushFollow(FOLLOW_22);
                    	    lv_value_5_0=rulePosition();

                    	    state._fsp--;


                    	    							if (current==null) {
                    	    								current = createModelElementForParent(grammarAccess.getAxisPositionsMapEntryRule());
                    	    							}
                    	    							add(
                    	    								current,
                    	    								"value",
                    	    								lv_value_5_0,
                    	    								"org.eclipse.lsat.machine.teditor.Machine.Position");
                    	    							afterParserOrEnumRuleCall();
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop32;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,26,FOLLOW_2); 

                    				newLeafNode(otherlv_6, grammarAccess.getAxisPositionsMapEntryAccess().getRightParenthesisKeyword_2_3());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleAxisPositionsMapEntry"


    // $ANTLR start "entryRulePosition"
    // InternalMachine.g:1319:1: entryRulePosition returns [EObject current=null] : iv_rulePosition= rulePosition EOF ;
    public final EObject entryRulePosition() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePosition = null;


        try {
            // InternalMachine.g:1319:49: (iv_rulePosition= rulePosition EOF )
            // InternalMachine.g:1320:2: iv_rulePosition= rulePosition EOF
            {
             newCompositeNode(grammarAccess.getPositionRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePosition=rulePosition();

            state._fsp--;

             current =iv_rulePosition; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePosition"


    // $ANTLR start "rulePosition"
    // InternalMachine.g:1326:1: rulePosition returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) ) ;
    public final EObject rulePosition() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;


        	enterRule();

        try {
            // InternalMachine.g:1332:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) ) )
            // InternalMachine.g:1333:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            {
            // InternalMachine.g:1333:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            // InternalMachine.g:1334:3: () ( (lv_name_1_0= RULE_ID ) )
            {
            // InternalMachine.g:1334:3: ()
            // InternalMachine.g:1335:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getPositionAccess().getPositionAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1341:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:1342:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:1342:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:1343:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_2); 

            					newLeafNode(lv_name_1_0, grammarAccess.getPositionAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPositionRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePosition"


    // $ANTLR start "entryRuleSymbolicPosition"
    // InternalMachine.g:1363:1: entryRuleSymbolicPosition returns [EObject current=null] : iv_ruleSymbolicPosition= ruleSymbolicPosition EOF ;
    public final EObject entryRuleSymbolicPosition() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSymbolicPosition = null;


        try {
            // InternalMachine.g:1363:57: (iv_ruleSymbolicPosition= ruleSymbolicPosition EOF )
            // InternalMachine.g:1364:2: iv_ruleSymbolicPosition= ruleSymbolicPosition EOF
            {
             newCompositeNode(grammarAccess.getSymbolicPositionRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleSymbolicPosition=ruleSymbolicPosition();

            state._fsp--;

             current =iv_ruleSymbolicPosition; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSymbolicPosition"


    // $ANTLR start "ruleSymbolicPosition"
    // InternalMachine.g:1370:1: ruleSymbolicPosition returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )? ) ;
    public final EObject ruleSymbolicPosition() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        EObject lv_axisPosition_3_0 = null;

        EObject lv_axisPosition_5_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:1376:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )? ) )
            // InternalMachine.g:1377:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )? )
            {
            // InternalMachine.g:1377:2: ( () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )? )
            // InternalMachine.g:1378:3: () ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )?
            {
            // InternalMachine.g:1378:3: ()
            // InternalMachine.g:1379:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getSymbolicPositionAccess().getSymbolicPositionAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1385:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:1386:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:1386:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:1387:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_33); 

            					newLeafNode(lv_name_1_0, grammarAccess.getSymbolicPositionAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getSymbolicPositionRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }

            // InternalMachine.g:1403:3: (otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')' )?
            int alt35=2;
            int LA35_0 = input.LA(1);

            if ( (LA35_0==25) ) {
                alt35=1;
            }
            switch (alt35) {
                case 1 :
                    // InternalMachine.g:1404:4: otherlv_2= '(' ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) ) (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )* otherlv_6= ')'
                    {
                    otherlv_2=(Token)match(input,25,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getSymbolicPositionAccess().getLeftParenthesisKeyword_2_0());
                    			
                    // InternalMachine.g:1408:4: ( (lv_axisPosition_3_0= ruleAxisPositionMapEntry ) )
                    // InternalMachine.g:1409:5: (lv_axisPosition_3_0= ruleAxisPositionMapEntry )
                    {
                    // InternalMachine.g:1409:5: (lv_axisPosition_3_0= ruleAxisPositionMapEntry )
                    // InternalMachine.g:1410:6: lv_axisPosition_3_0= ruleAxisPositionMapEntry
                    {

                    						newCompositeNode(grammarAccess.getSymbolicPositionAccess().getAxisPositionAxisPositionMapEntryParserRuleCall_2_1_0());
                    					
                    pushFollow(FOLLOW_22);
                    lv_axisPosition_3_0=ruleAxisPositionMapEntry();

                    state._fsp--;


                    						if (current==null) {
                    							current = createModelElementForParent(grammarAccess.getSymbolicPositionRule());
                    						}
                    						add(
                    							current,
                    							"axisPosition",
                    							lv_axisPosition_3_0,
                    							"org.eclipse.lsat.machine.teditor.Machine.AxisPositionMapEntry");
                    						afterParserOrEnumRuleCall();
                    					

                    }


                    }

                    // InternalMachine.g:1427:4: (otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) ) )*
                    loop34:
                    do {
                        int alt34=2;
                        int LA34_0 = input.LA(1);

                        if ( (LA34_0==24) ) {
                            alt34=1;
                        }


                        switch (alt34) {
                    	case 1 :
                    	    // InternalMachine.g:1428:5: otherlv_4= ',' ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) )
                    	    {
                    	    otherlv_4=(Token)match(input,24,FOLLOW_4); 

                    	    					newLeafNode(otherlv_4, grammarAccess.getSymbolicPositionAccess().getCommaKeyword_2_2_0());
                    	    				
                    	    // InternalMachine.g:1432:5: ( (lv_axisPosition_5_0= ruleAxisPositionMapEntry ) )
                    	    // InternalMachine.g:1433:6: (lv_axisPosition_5_0= ruleAxisPositionMapEntry )
                    	    {
                    	    // InternalMachine.g:1433:6: (lv_axisPosition_5_0= ruleAxisPositionMapEntry )
                    	    // InternalMachine.g:1434:7: lv_axisPosition_5_0= ruleAxisPositionMapEntry
                    	    {

                    	    							newCompositeNode(grammarAccess.getSymbolicPositionAccess().getAxisPositionAxisPositionMapEntryParserRuleCall_2_2_1_0());
                    	    						
                    	    pushFollow(FOLLOW_22);
                    	    lv_axisPosition_5_0=ruleAxisPositionMapEntry();

                    	    state._fsp--;


                    	    							if (current==null) {
                    	    								current = createModelElementForParent(grammarAccess.getSymbolicPositionRule());
                    	    							}
                    	    							add(
                    	    								current,
                    	    								"axisPosition",
                    	    								lv_axisPosition_5_0,
                    	    								"org.eclipse.lsat.machine.teditor.Machine.AxisPositionMapEntry");
                    	    							afterParserOrEnumRuleCall();
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop34;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,26,FOLLOW_2); 

                    				newLeafNode(otherlv_6, grammarAccess.getSymbolicPositionAccess().getRightParenthesisKeyword_2_3());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSymbolicPosition"


    // $ANTLR start "entryRuleAxisPositionMapEntry"
    // InternalMachine.g:1461:1: entryRuleAxisPositionMapEntry returns [EObject current=null] : iv_ruleAxisPositionMapEntry= ruleAxisPositionMapEntry EOF ;
    public final EObject entryRuleAxisPositionMapEntry() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleAxisPositionMapEntry = null;


        try {
            // InternalMachine.g:1461:61: (iv_ruleAxisPositionMapEntry= ruleAxisPositionMapEntry EOF )
            // InternalMachine.g:1462:2: iv_ruleAxisPositionMapEntry= ruleAxisPositionMapEntry EOF
            {
             newCompositeNode(grammarAccess.getAxisPositionMapEntryRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleAxisPositionMapEntry=ruleAxisPositionMapEntry();

            state._fsp--;

             current =iv_ruleAxisPositionMapEntry; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleAxisPositionMapEntry"


    // $ANTLR start "ruleAxisPositionMapEntry"
    // InternalMachine.g:1468:1: ruleAxisPositionMapEntry returns [EObject current=null] : ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '.' ( (otherlv_3= RULE_ID ) ) ) ;
    public final EObject ruleAxisPositionMapEntry() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;


        	enterRule();

        try {
            // InternalMachine.g:1474:2: ( ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '.' ( (otherlv_3= RULE_ID ) ) ) )
            // InternalMachine.g:1475:2: ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '.' ( (otherlv_3= RULE_ID ) ) )
            {
            // InternalMachine.g:1475:2: ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '.' ( (otherlv_3= RULE_ID ) ) )
            // InternalMachine.g:1476:3: () ( (otherlv_1= RULE_ID ) ) otherlv_2= '.' ( (otherlv_3= RULE_ID ) )
            {
            // InternalMachine.g:1476:3: ()
            // InternalMachine.g:1477:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getAxisPositionMapEntryAccess().getAxisPositionMapEntryAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1483:3: ( (otherlv_1= RULE_ID ) )
            // InternalMachine.g:1484:4: (otherlv_1= RULE_ID )
            {
            // InternalMachine.g:1484:4: (otherlv_1= RULE_ID )
            // InternalMachine.g:1485:5: otherlv_1= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getAxisPositionMapEntryRule());
            					}
            				
            otherlv_1=(Token)match(input,RULE_ID,FOLLOW_34); 

            					newLeafNode(otherlv_1, grammarAccess.getAxisPositionMapEntryAccess().getKeyAxisCrossReference_1_0());
            				

            }


            }

            otherlv_2=(Token)match(input,33,FOLLOW_4); 

            			newLeafNode(otherlv_2, grammarAccess.getAxisPositionMapEntryAccess().getFullStopKeyword_2());
            		
            // InternalMachine.g:1500:3: ( (otherlv_3= RULE_ID ) )
            // InternalMachine.g:1501:4: (otherlv_3= RULE_ID )
            {
            // InternalMachine.g:1501:4: (otherlv_3= RULE_ID )
            // InternalMachine.g:1502:5: otherlv_3= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getAxisPositionMapEntryRule());
            					}
            				
            otherlv_3=(Token)match(input,RULE_ID,FOLLOW_2); 

            					newLeafNode(otherlv_3, grammarAccess.getAxisPositionMapEntryAccess().getValuePositionCrossReference_3_0());
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleAxisPositionMapEntry"


    // $ANTLR start "entryRuleProfile"
    // InternalMachine.g:1517:1: entryRuleProfile returns [EObject current=null] : iv_ruleProfile= ruleProfile EOF ;
    public final EObject entryRuleProfile() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleProfile = null;


        try {
            // InternalMachine.g:1517:48: (iv_ruleProfile= ruleProfile EOF )
            // InternalMachine.g:1518:2: iv_ruleProfile= ruleProfile EOF
            {
             newCompositeNode(grammarAccess.getProfileRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleProfile=ruleProfile();

            state._fsp--;

             current =iv_ruleProfile; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleProfile"


    // $ANTLR start "ruleProfile"
    // InternalMachine.g:1524:1: ruleProfile returns [EObject current=null] : ( () ( (lv_name_1_0= RULE_ID ) ) ) ;
    public final EObject ruleProfile() throws RecognitionException {
        EObject current = null;

        Token lv_name_1_0=null;


        	enterRule();

        try {
            // InternalMachine.g:1530:2: ( ( () ( (lv_name_1_0= RULE_ID ) ) ) )
            // InternalMachine.g:1531:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            {
            // InternalMachine.g:1531:2: ( () ( (lv_name_1_0= RULE_ID ) ) )
            // InternalMachine.g:1532:3: () ( (lv_name_1_0= RULE_ID ) )
            {
            // InternalMachine.g:1532:3: ()
            // InternalMachine.g:1533:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getProfileAccess().getProfileAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1539:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalMachine.g:1540:4: (lv_name_1_0= RULE_ID )
            {
            // InternalMachine.g:1540:4: (lv_name_1_0= RULE_ID )
            // InternalMachine.g:1541:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_2); 

            					newLeafNode(lv_name_1_0, grammarAccess.getProfileAccess().getNameIDTerminalRuleCall_1_0());
            				

            					if (current==null) {
            						current = createModelElement(grammarAccess.getProfileRule());
            					}
            					setWithLastConsumed(
            						current,
            						"name",
            						lv_name_1_0,
            						"org.eclipse.xtext.common.Terminals.ID");
            				

            }


            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleProfile"


    // $ANTLR start "entryRulePath"
    // InternalMachine.g:1561:1: entryRulePath returns [EObject current=null] : iv_rulePath= rulePath EOF ;
    public final EObject entryRulePath() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePath = null;


        try {
            // InternalMachine.g:1561:45: (iv_rulePath= rulePath EOF )
            // InternalMachine.g:1562:2: iv_rulePath= rulePath EOF
            {
             newCompositeNode(grammarAccess.getPathRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePath=rulePath();

            state._fsp--;

             current =iv_rulePath; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePath"


    // $ANTLR start "rulePath"
    // InternalMachine.g:1568:1: rulePath returns [EObject current=null] : (this_UnidirectionalPath_0= ruleUnidirectionalPath | this_BidirectionalPath_1= ruleBidirectionalPath | this_FullMeshPath_2= ruleFullMeshPath ) ;
    public final EObject rulePath() throws RecognitionException {
        EObject current = null;

        EObject this_UnidirectionalPath_0 = null;

        EObject this_BidirectionalPath_1 = null;

        EObject this_FullMeshPath_2 = null;



        	enterRule();

        try {
            // InternalMachine.g:1574:2: ( (this_UnidirectionalPath_0= ruleUnidirectionalPath | this_BidirectionalPath_1= ruleBidirectionalPath | this_FullMeshPath_2= ruleFullMeshPath ) )
            // InternalMachine.g:1575:2: (this_UnidirectionalPath_0= ruleUnidirectionalPath | this_BidirectionalPath_1= ruleBidirectionalPath | this_FullMeshPath_2= ruleFullMeshPath )
            {
            // InternalMachine.g:1575:2: (this_UnidirectionalPath_0= ruleUnidirectionalPath | this_BidirectionalPath_1= ruleBidirectionalPath | this_FullMeshPath_2= ruleFullMeshPath )
            int alt36=3;
            int LA36_0 = input.LA(1);

            if ( (LA36_0==RULE_ID) ) {
                int LA36_1 = input.LA(2);

                if ( (LA36_1==21||LA36_1==38) ) {
                    alt36=2;
                }
                else if ( (LA36_1==34) ) {
                    alt36=1;
                }
                else {
                    NoViableAltException nvae =
                        new NoViableAltException("", 36, 1, input);

                    throw nvae;
                }
            }
            else if ( (LA36_0==39) ) {
                alt36=3;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 36, 0, input);

                throw nvae;
            }
            switch (alt36) {
                case 1 :
                    // InternalMachine.g:1576:3: this_UnidirectionalPath_0= ruleUnidirectionalPath
                    {

                    			newCompositeNode(grammarAccess.getPathAccess().getUnidirectionalPathParserRuleCall_0());
                    		
                    pushFollow(FOLLOW_2);
                    this_UnidirectionalPath_0=ruleUnidirectionalPath();

                    state._fsp--;


                    			current = this_UnidirectionalPath_0;
                    			afterParserOrEnumRuleCall();
                    		

                    }
                    break;
                case 2 :
                    // InternalMachine.g:1585:3: this_BidirectionalPath_1= ruleBidirectionalPath
                    {

                    			newCompositeNode(grammarAccess.getPathAccess().getBidirectionalPathParserRuleCall_1());
                    		
                    pushFollow(FOLLOW_2);
                    this_BidirectionalPath_1=ruleBidirectionalPath();

                    state._fsp--;


                    			current = this_BidirectionalPath_1;
                    			afterParserOrEnumRuleCall();
                    		

                    }
                    break;
                case 3 :
                    // InternalMachine.g:1594:3: this_FullMeshPath_2= ruleFullMeshPath
                    {

                    			newCompositeNode(grammarAccess.getPathAccess().getFullMeshPathParserRuleCall_2());
                    		
                    pushFollow(FOLLOW_2);
                    this_FullMeshPath_2=ruleFullMeshPath();

                    state._fsp--;


                    			current = this_FullMeshPath_2;
                    			afterParserOrEnumRuleCall();
                    		

                    }
                    break;

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePath"


    // $ANTLR start "entryRuleUnidirectionalPath"
    // InternalMachine.g:1606:1: entryRuleUnidirectionalPath returns [EObject current=null] : iv_ruleUnidirectionalPath= ruleUnidirectionalPath EOF ;
    public final EObject entryRuleUnidirectionalPath() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleUnidirectionalPath = null;


        try {
            // InternalMachine.g:1606:59: (iv_ruleUnidirectionalPath= ruleUnidirectionalPath EOF )
            // InternalMachine.g:1607:2: iv_ruleUnidirectionalPath= ruleUnidirectionalPath EOF
            {
             newCompositeNode(grammarAccess.getUnidirectionalPathRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleUnidirectionalPath=ruleUnidirectionalPath();

            state._fsp--;

             current =iv_ruleUnidirectionalPath; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleUnidirectionalPath"


    // $ANTLR start "ruleUnidirectionalPath"
    // InternalMachine.g:1613:1: ruleUnidirectionalPath returns [EObject current=null] : ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '-->' ( (lv_target_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* ) ;
    public final EObject ruleUnidirectionalPath() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_10=null;
        Token otherlv_11=null;
        EObject lv_target_3_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:1619:2: ( ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '-->' ( (lv_target_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* ) )
            // InternalMachine.g:1620:2: ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '-->' ( (lv_target_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* )
            {
            // InternalMachine.g:1620:2: ( () ( (otherlv_1= RULE_ID ) ) otherlv_2= '-->' ( (lv_target_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* )
            // InternalMachine.g:1621:3: () ( (otherlv_1= RULE_ID ) ) otherlv_2= '-->' ( (lv_target_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )*
            {
            // InternalMachine.g:1621:3: ()
            // InternalMachine.g:1622:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getUnidirectionalPathAccess().getUnidirectionalPathAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1628:3: ( (otherlv_1= RULE_ID ) )
            // InternalMachine.g:1629:4: (otherlv_1= RULE_ID )
            {
            // InternalMachine.g:1629:4: (otherlv_1= RULE_ID )
            // InternalMachine.g:1630:5: otherlv_1= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getUnidirectionalPathRule());
            					}
            				
            otherlv_1=(Token)match(input,RULE_ID,FOLLOW_35); 

            					newLeafNode(otherlv_1, grammarAccess.getUnidirectionalPathAccess().getSourceSymbolicPositionCrossReference_1_0());
            				

            }


            }

            otherlv_2=(Token)match(input,34,FOLLOW_4); 

            			newLeafNode(otherlv_2, grammarAccess.getUnidirectionalPathAccess().getHyphenMinusHyphenMinusGreaterThanSignKeyword_2());
            		
            // InternalMachine.g:1645:3: ( (lv_target_3_0= rulePathTargetReference ) )
            // InternalMachine.g:1646:4: (lv_target_3_0= rulePathTargetReference )
            {
            // InternalMachine.g:1646:4: (lv_target_3_0= rulePathTargetReference )
            // InternalMachine.g:1647:5: lv_target_3_0= rulePathTargetReference
            {

            					newCompositeNode(grammarAccess.getUnidirectionalPathAccess().getTargetPathTargetReferenceParserRuleCall_3_0());
            				
            pushFollow(FOLLOW_36);
            lv_target_3_0=rulePathTargetReference();

            state._fsp--;


            					if (current==null) {
            						current = createModelElementForParent(grammarAccess.getUnidirectionalPathRule());
            					}
            					set(
            						current,
            						"target",
            						lv_target_3_0,
            						"org.eclipse.lsat.machine.teditor.Machine.PathTargetReference");
            					afterParserOrEnumRuleCall();
            				

            }


            }

            // InternalMachine.g:1664:3: ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) )
            int alt38=2;
            int LA38_0 = input.LA(1);

            if ( (LA38_0==35) ) {
                alt38=1;
            }
            else if ( (LA38_0==36) ) {
                alt38=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 38, 0, input);

                throw nvae;
            }
            switch (alt38) {
                case 1 :
                    // InternalMachine.g:1665:4: (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* )
                    {
                    // InternalMachine.g:1665:4: (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* )
                    // InternalMachine.g:1666:5: otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )*
                    {
                    otherlv_4=(Token)match(input,35,FOLLOW_4); 

                    					newLeafNode(otherlv_4, grammarAccess.getUnidirectionalPathAccess().getProfilesKeyword_4_0_0());
                    				
                    // InternalMachine.g:1670:5: ( (otherlv_5= RULE_ID ) )
                    // InternalMachine.g:1671:6: (otherlv_5= RULE_ID )
                    {
                    // InternalMachine.g:1671:6: (otherlv_5= RULE_ID )
                    // InternalMachine.g:1672:7: otherlv_5= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getUnidirectionalPathRule());
                    							}
                    						
                    otherlv_5=(Token)match(input,RULE_ID,FOLLOW_37); 

                    							newLeafNode(otherlv_5, grammarAccess.getUnidirectionalPathAccess().getProfilesProfileCrossReference_4_0_1_0());
                    						

                    }


                    }

                    // InternalMachine.g:1683:5: (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )*
                    loop37:
                    do {
                        int alt37=2;
                        int LA37_0 = input.LA(1);

                        if ( (LA37_0==24) ) {
                            alt37=1;
                        }


                        switch (alt37) {
                    	case 1 :
                    	    // InternalMachine.g:1684:6: otherlv_6= ',' ( (otherlv_7= RULE_ID ) )
                    	    {
                    	    otherlv_6=(Token)match(input,24,FOLLOW_4); 

                    	    						newLeafNode(otherlv_6, grammarAccess.getUnidirectionalPathAccess().getCommaKeyword_4_0_2_0());
                    	    					
                    	    // InternalMachine.g:1688:6: ( (otherlv_7= RULE_ID ) )
                    	    // InternalMachine.g:1689:7: (otherlv_7= RULE_ID )
                    	    {
                    	    // InternalMachine.g:1689:7: (otherlv_7= RULE_ID )
                    	    // InternalMachine.g:1690:8: otherlv_7= RULE_ID
                    	    {

                    	    								if (current==null) {
                    	    									current = createModelElement(grammarAccess.getUnidirectionalPathRule());
                    	    								}
                    	    							
                    	    otherlv_7=(Token)match(input,RULE_ID,FOLLOW_37); 

                    	    								newLeafNode(otherlv_7, grammarAccess.getUnidirectionalPathAccess().getProfilesProfileCrossReference_4_0_2_1_0());
                    	    							

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop37;
                        }
                    } while (true);


                    }


                    }
                    break;
                case 2 :
                    // InternalMachine.g:1704:4: (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) )
                    {
                    // InternalMachine.g:1704:4: (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) )
                    // InternalMachine.g:1705:5: otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) )
                    {
                    otherlv_8=(Token)match(input,36,FOLLOW_4); 

                    					newLeafNode(otherlv_8, grammarAccess.getUnidirectionalPathAccess().getProfileKeyword_4_1_0());
                    				
                    // InternalMachine.g:1709:5: ( (otherlv_9= RULE_ID ) )
                    // InternalMachine.g:1710:6: (otherlv_9= RULE_ID )
                    {
                    // InternalMachine.g:1710:6: (otherlv_9= RULE_ID )
                    // InternalMachine.g:1711:7: otherlv_9= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getUnidirectionalPathRule());
                    							}
                    						
                    otherlv_9=(Token)match(input,RULE_ID,FOLLOW_38); 

                    							newLeafNode(otherlv_9, grammarAccess.getUnidirectionalPathAccess().getProfilesProfileCrossReference_4_1_1_0());
                    						

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalMachine.g:1724:3: (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )*
            loop39:
            do {
                int alt39=2;
                int LA39_0 = input.LA(1);

                if ( (LA39_0==37) ) {
                    alt39=1;
                }


                switch (alt39) {
            	case 1 :
            	    // InternalMachine.g:1725:4: otherlv_10= '@' ( (otherlv_11= RULE_ID ) )
            	    {
            	    otherlv_10=(Token)match(input,37,FOLLOW_4); 

            	    				newLeafNode(otherlv_10, grammarAccess.getUnidirectionalPathAccess().getCommercialAtKeyword_5_0());
            	    			
            	    // InternalMachine.g:1729:4: ( (otherlv_11= RULE_ID ) )
            	    // InternalMachine.g:1730:5: (otherlv_11= RULE_ID )
            	    {
            	    // InternalMachine.g:1730:5: (otherlv_11= RULE_ID )
            	    // InternalMachine.g:1731:6: otherlv_11= RULE_ID
            	    {

            	    						if (current==null) {
            	    							current = createModelElement(grammarAccess.getUnidirectionalPathRule());
            	    						}
            	    					
            	    otherlv_11=(Token)match(input,RULE_ID,FOLLOW_38); 

            	    						newLeafNode(otherlv_11, grammarAccess.getUnidirectionalPathAccess().getAnnotationsPathAnnotationCrossReference_5_1_0());
            	    					

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop39;
                }
            } while (true);


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleUnidirectionalPath"


    // $ANTLR start "entryRuleBidirectionalPath"
    // InternalMachine.g:1747:1: entryRuleBidirectionalPath returns [EObject current=null] : iv_ruleBidirectionalPath= ruleBidirectionalPath EOF ;
    public final EObject entryRuleBidirectionalPath() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleBidirectionalPath = null;


        try {
            // InternalMachine.g:1747:58: (iv_ruleBidirectionalPath= ruleBidirectionalPath EOF )
            // InternalMachine.g:1748:2: iv_ruleBidirectionalPath= ruleBidirectionalPath EOF
            {
             newCompositeNode(grammarAccess.getBidirectionalPathRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleBidirectionalPath=ruleBidirectionalPath();

            state._fsp--;

             current =iv_ruleBidirectionalPath; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleBidirectionalPath"


    // $ANTLR start "ruleBidirectionalPath"
    // InternalMachine.g:1754:1: ruleBidirectionalPath returns [EObject current=null] : ( () ( (lv_endPoints_1_0= rulePathTargetReference ) ) otherlv_2= '<->' ( (lv_endPoints_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* ) ;
    public final EObject ruleBidirectionalPath() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_10=null;
        Token otherlv_11=null;
        EObject lv_endPoints_1_0 = null;

        EObject lv_endPoints_3_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:1760:2: ( ( () ( (lv_endPoints_1_0= rulePathTargetReference ) ) otherlv_2= '<->' ( (lv_endPoints_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* ) )
            // InternalMachine.g:1761:2: ( () ( (lv_endPoints_1_0= rulePathTargetReference ) ) otherlv_2= '<->' ( (lv_endPoints_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* )
            {
            // InternalMachine.g:1761:2: ( () ( (lv_endPoints_1_0= rulePathTargetReference ) ) otherlv_2= '<->' ( (lv_endPoints_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )* )
            // InternalMachine.g:1762:3: () ( (lv_endPoints_1_0= rulePathTargetReference ) ) otherlv_2= '<->' ( (lv_endPoints_3_0= rulePathTargetReference ) ) ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) ) (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )*
            {
            // InternalMachine.g:1762:3: ()
            // InternalMachine.g:1763:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getBidirectionalPathAccess().getBidirectionalPathAction_0(),
            					current);
            			

            }

            // InternalMachine.g:1769:3: ( (lv_endPoints_1_0= rulePathTargetReference ) )
            // InternalMachine.g:1770:4: (lv_endPoints_1_0= rulePathTargetReference )
            {
            // InternalMachine.g:1770:4: (lv_endPoints_1_0= rulePathTargetReference )
            // InternalMachine.g:1771:5: lv_endPoints_1_0= rulePathTargetReference
            {

            					newCompositeNode(grammarAccess.getBidirectionalPathAccess().getEndPointsPathTargetReferenceParserRuleCall_1_0());
            				
            pushFollow(FOLLOW_39);
            lv_endPoints_1_0=rulePathTargetReference();

            state._fsp--;


            					if (current==null) {
            						current = createModelElementForParent(grammarAccess.getBidirectionalPathRule());
            					}
            					add(
            						current,
            						"endPoints",
            						lv_endPoints_1_0,
            						"org.eclipse.lsat.machine.teditor.Machine.PathTargetReference");
            					afterParserOrEnumRuleCall();
            				

            }


            }

            otherlv_2=(Token)match(input,38,FOLLOW_4); 

            			newLeafNode(otherlv_2, grammarAccess.getBidirectionalPathAccess().getLessThanSignHyphenMinusGreaterThanSignKeyword_2());
            		
            // InternalMachine.g:1792:3: ( (lv_endPoints_3_0= rulePathTargetReference ) )
            // InternalMachine.g:1793:4: (lv_endPoints_3_0= rulePathTargetReference )
            {
            // InternalMachine.g:1793:4: (lv_endPoints_3_0= rulePathTargetReference )
            // InternalMachine.g:1794:5: lv_endPoints_3_0= rulePathTargetReference
            {

            					newCompositeNode(grammarAccess.getBidirectionalPathAccess().getEndPointsPathTargetReferenceParserRuleCall_3_0());
            				
            pushFollow(FOLLOW_36);
            lv_endPoints_3_0=rulePathTargetReference();

            state._fsp--;


            					if (current==null) {
            						current = createModelElementForParent(grammarAccess.getBidirectionalPathRule());
            					}
            					add(
            						current,
            						"endPoints",
            						lv_endPoints_3_0,
            						"org.eclipse.lsat.machine.teditor.Machine.PathTargetReference");
            					afterParserOrEnumRuleCall();
            				

            }


            }

            // InternalMachine.g:1811:3: ( (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* ) | (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) ) )
            int alt41=2;
            int LA41_0 = input.LA(1);

            if ( (LA41_0==35) ) {
                alt41=1;
            }
            else if ( (LA41_0==36) ) {
                alt41=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 41, 0, input);

                throw nvae;
            }
            switch (alt41) {
                case 1 :
                    // InternalMachine.g:1812:4: (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* )
                    {
                    // InternalMachine.g:1812:4: (otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )* )
                    // InternalMachine.g:1813:5: otherlv_4= 'profiles' ( (otherlv_5= RULE_ID ) ) (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )*
                    {
                    otherlv_4=(Token)match(input,35,FOLLOW_4); 

                    					newLeafNode(otherlv_4, grammarAccess.getBidirectionalPathAccess().getProfilesKeyword_4_0_0());
                    				
                    // InternalMachine.g:1817:5: ( (otherlv_5= RULE_ID ) )
                    // InternalMachine.g:1818:6: (otherlv_5= RULE_ID )
                    {
                    // InternalMachine.g:1818:6: (otherlv_5= RULE_ID )
                    // InternalMachine.g:1819:7: otherlv_5= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getBidirectionalPathRule());
                    							}
                    						
                    otherlv_5=(Token)match(input,RULE_ID,FOLLOW_37); 

                    							newLeafNode(otherlv_5, grammarAccess.getBidirectionalPathAccess().getProfilesProfileCrossReference_4_0_1_0());
                    						

                    }


                    }

                    // InternalMachine.g:1830:5: (otherlv_6= ',' ( (otherlv_7= RULE_ID ) ) )*
                    loop40:
                    do {
                        int alt40=2;
                        int LA40_0 = input.LA(1);

                        if ( (LA40_0==24) ) {
                            alt40=1;
                        }


                        switch (alt40) {
                    	case 1 :
                    	    // InternalMachine.g:1831:6: otherlv_6= ',' ( (otherlv_7= RULE_ID ) )
                    	    {
                    	    otherlv_6=(Token)match(input,24,FOLLOW_4); 

                    	    						newLeafNode(otherlv_6, grammarAccess.getBidirectionalPathAccess().getCommaKeyword_4_0_2_0());
                    	    					
                    	    // InternalMachine.g:1835:6: ( (otherlv_7= RULE_ID ) )
                    	    // InternalMachine.g:1836:7: (otherlv_7= RULE_ID )
                    	    {
                    	    // InternalMachine.g:1836:7: (otherlv_7= RULE_ID )
                    	    // InternalMachine.g:1837:8: otherlv_7= RULE_ID
                    	    {

                    	    								if (current==null) {
                    	    									current = createModelElement(grammarAccess.getBidirectionalPathRule());
                    	    								}
                    	    							
                    	    otherlv_7=(Token)match(input,RULE_ID,FOLLOW_37); 

                    	    								newLeafNode(otherlv_7, grammarAccess.getBidirectionalPathAccess().getProfilesProfileCrossReference_4_0_2_1_0());
                    	    							

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop40;
                        }
                    } while (true);


                    }


                    }
                    break;
                case 2 :
                    // InternalMachine.g:1851:4: (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) )
                    {
                    // InternalMachine.g:1851:4: (otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) ) )
                    // InternalMachine.g:1852:5: otherlv_8= 'profile' ( (otherlv_9= RULE_ID ) )
                    {
                    otherlv_8=(Token)match(input,36,FOLLOW_4); 

                    					newLeafNode(otherlv_8, grammarAccess.getBidirectionalPathAccess().getProfileKeyword_4_1_0());
                    				
                    // InternalMachine.g:1856:5: ( (otherlv_9= RULE_ID ) )
                    // InternalMachine.g:1857:6: (otherlv_9= RULE_ID )
                    {
                    // InternalMachine.g:1857:6: (otherlv_9= RULE_ID )
                    // InternalMachine.g:1858:7: otherlv_9= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getBidirectionalPathRule());
                    							}
                    						
                    otherlv_9=(Token)match(input,RULE_ID,FOLLOW_38); 

                    							newLeafNode(otherlv_9, grammarAccess.getBidirectionalPathAccess().getProfilesProfileCrossReference_4_1_1_0());
                    						

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalMachine.g:1871:3: (otherlv_10= '@' ( (otherlv_11= RULE_ID ) ) )*
            loop42:
            do {
                int alt42=2;
                int LA42_0 = input.LA(1);

                if ( (LA42_0==37) ) {
                    alt42=1;
                }


                switch (alt42) {
            	case 1 :
            	    // InternalMachine.g:1872:4: otherlv_10= '@' ( (otherlv_11= RULE_ID ) )
            	    {
            	    otherlv_10=(Token)match(input,37,FOLLOW_4); 

            	    				newLeafNode(otherlv_10, grammarAccess.getBidirectionalPathAccess().getCommercialAtKeyword_5_0());
            	    			
            	    // InternalMachine.g:1876:4: ( (otherlv_11= RULE_ID ) )
            	    // InternalMachine.g:1877:5: (otherlv_11= RULE_ID )
            	    {
            	    // InternalMachine.g:1877:5: (otherlv_11= RULE_ID )
            	    // InternalMachine.g:1878:6: otherlv_11= RULE_ID
            	    {

            	    						if (current==null) {
            	    							current = createModelElement(grammarAccess.getBidirectionalPathRule());
            	    						}
            	    					
            	    otherlv_11=(Token)match(input,RULE_ID,FOLLOW_38); 

            	    						newLeafNode(otherlv_11, grammarAccess.getBidirectionalPathAccess().getAnnotationsPathAnnotationCrossReference_5_1_0());
            	    					

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop42;
                }
            } while (true);


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleBidirectionalPath"


    // $ANTLR start "entryRuleFullMeshPath"
    // InternalMachine.g:1894:1: entryRuleFullMeshPath returns [EObject current=null] : iv_ruleFullMeshPath= ruleFullMeshPath EOF ;
    public final EObject entryRuleFullMeshPath() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleFullMeshPath = null;


        try {
            // InternalMachine.g:1894:53: (iv_ruleFullMeshPath= ruleFullMeshPath EOF )
            // InternalMachine.g:1895:2: iv_ruleFullMeshPath= ruleFullMeshPath EOF
            {
             newCompositeNode(grammarAccess.getFullMeshPathRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleFullMeshPath=ruleFullMeshPath();

            state._fsp--;

             current =iv_ruleFullMeshPath; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleFullMeshPath"


    // $ANTLR start "ruleFullMeshPath"
    // InternalMachine.g:1901:1: ruleFullMeshPath returns [EObject current=null] : ( () otherlv_1= 'FullMesh' otherlv_2= '{' ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) ) (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )* ( (lv_endPoints_11_0= rulePathTargetReference ) )* otherlv_12= '}' ) ;
    public final EObject ruleFullMeshPath() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_10=null;
        Token otherlv_12=null;
        EObject lv_endPoints_11_0 = null;



        	enterRule();

        try {
            // InternalMachine.g:1907:2: ( ( () otherlv_1= 'FullMesh' otherlv_2= '{' ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) ) (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )* ( (lv_endPoints_11_0= rulePathTargetReference ) )* otherlv_12= '}' ) )
            // InternalMachine.g:1908:2: ( () otherlv_1= 'FullMesh' otherlv_2= '{' ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) ) (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )* ( (lv_endPoints_11_0= rulePathTargetReference ) )* otherlv_12= '}' )
            {
            // InternalMachine.g:1908:2: ( () otherlv_1= 'FullMesh' otherlv_2= '{' ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) ) (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )* ( (lv_endPoints_11_0= rulePathTargetReference ) )* otherlv_12= '}' )
            // InternalMachine.g:1909:3: () otherlv_1= 'FullMesh' otherlv_2= '{' ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) ) (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )* ( (lv_endPoints_11_0= rulePathTargetReference ) )* otherlv_12= '}'
            {
            // InternalMachine.g:1909:3: ()
            // InternalMachine.g:1910:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getFullMeshPathAccess().getFullMeshPathAction_0(),
            					current);
            			

            }

            otherlv_1=(Token)match(input,39,FOLLOW_6); 

            			newLeafNode(otherlv_1, grammarAccess.getFullMeshPathAccess().getFullMeshKeyword_1());
            		
            otherlv_2=(Token)match(input,13,FOLLOW_36); 

            			newLeafNode(otherlv_2, grammarAccess.getFullMeshPathAccess().getLeftCurlyBracketKeyword_2());
            		
            // InternalMachine.g:1924:3: ( (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* ) | (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) ) )
            int alt44=2;
            int LA44_0 = input.LA(1);

            if ( (LA44_0==35) ) {
                alt44=1;
            }
            else if ( (LA44_0==36) ) {
                alt44=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 44, 0, input);

                throw nvae;
            }
            switch (alt44) {
                case 1 :
                    // InternalMachine.g:1925:4: (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* )
                    {
                    // InternalMachine.g:1925:4: (otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )* )
                    // InternalMachine.g:1926:5: otherlv_3= 'profiles' ( (otherlv_4= RULE_ID ) ) (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )*
                    {
                    otherlv_3=(Token)match(input,35,FOLLOW_4); 

                    					newLeafNode(otherlv_3, grammarAccess.getFullMeshPathAccess().getProfilesKeyword_3_0_0());
                    				
                    // InternalMachine.g:1930:5: ( (otherlv_4= RULE_ID ) )
                    // InternalMachine.g:1931:6: (otherlv_4= RULE_ID )
                    {
                    // InternalMachine.g:1931:6: (otherlv_4= RULE_ID )
                    // InternalMachine.g:1932:7: otherlv_4= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getFullMeshPathRule());
                    							}
                    						
                    otherlv_4=(Token)match(input,RULE_ID,FOLLOW_40); 

                    							newLeafNode(otherlv_4, grammarAccess.getFullMeshPathAccess().getProfilesProfileCrossReference_3_0_1_0());
                    						

                    }


                    }

                    // InternalMachine.g:1943:5: (otherlv_5= ',' ( (otherlv_6= RULE_ID ) ) )*
                    loop43:
                    do {
                        int alt43=2;
                        int LA43_0 = input.LA(1);

                        if ( (LA43_0==24) ) {
                            alt43=1;
                        }


                        switch (alt43) {
                    	case 1 :
                    	    // InternalMachine.g:1944:6: otherlv_5= ',' ( (otherlv_6= RULE_ID ) )
                    	    {
                    	    otherlv_5=(Token)match(input,24,FOLLOW_4); 

                    	    						newLeafNode(otherlv_5, grammarAccess.getFullMeshPathAccess().getCommaKeyword_3_0_2_0());
                    	    					
                    	    // InternalMachine.g:1948:6: ( (otherlv_6= RULE_ID ) )
                    	    // InternalMachine.g:1949:7: (otherlv_6= RULE_ID )
                    	    {
                    	    // InternalMachine.g:1949:7: (otherlv_6= RULE_ID )
                    	    // InternalMachine.g:1950:8: otherlv_6= RULE_ID
                    	    {

                    	    								if (current==null) {
                    	    									current = createModelElement(grammarAccess.getFullMeshPathRule());
                    	    								}
                    	    							
                    	    otherlv_6=(Token)match(input,RULE_ID,FOLLOW_40); 

                    	    								newLeafNode(otherlv_6, grammarAccess.getFullMeshPathAccess().getProfilesProfileCrossReference_3_0_2_1_0());
                    	    							

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop43;
                        }
                    } while (true);


                    }


                    }
                    break;
                case 2 :
                    // InternalMachine.g:1964:4: (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) )
                    {
                    // InternalMachine.g:1964:4: (otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) ) )
                    // InternalMachine.g:1965:5: otherlv_7= 'profile' ( (otherlv_8= RULE_ID ) )
                    {
                    otherlv_7=(Token)match(input,36,FOLLOW_4); 

                    					newLeafNode(otherlv_7, grammarAccess.getFullMeshPathAccess().getProfileKeyword_3_1_0());
                    				
                    // InternalMachine.g:1969:5: ( (otherlv_8= RULE_ID ) )
                    // InternalMachine.g:1970:6: (otherlv_8= RULE_ID )
                    {
                    // InternalMachine.g:1970:6: (otherlv_8= RULE_ID )
                    // InternalMachine.g:1971:7: otherlv_8= RULE_ID
                    {

                    							if (current==null) {
                    								current = createModelElement(grammarAccess.getFullMeshPathRule());
                    							}
                    						
                    otherlv_8=(Token)match(input,RULE_ID,FOLLOW_41); 

                    							newLeafNode(otherlv_8, grammarAccess.getFullMeshPathAccess().getProfilesProfileCrossReference_3_1_1_0());
                    						

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalMachine.g:1984:3: (otherlv_9= '@' ( (otherlv_10= RULE_ID ) ) )*
            loop45:
            do {
                int alt45=2;
                int LA45_0 = input.LA(1);

                if ( (LA45_0==37) ) {
                    alt45=1;
                }


                switch (alt45) {
            	case 1 :
            	    // InternalMachine.g:1985:4: otherlv_9= '@' ( (otherlv_10= RULE_ID ) )
            	    {
            	    otherlv_9=(Token)match(input,37,FOLLOW_4); 

            	    				newLeafNode(otherlv_9, grammarAccess.getFullMeshPathAccess().getCommercialAtKeyword_4_0());
            	    			
            	    // InternalMachine.g:1989:4: ( (otherlv_10= RULE_ID ) )
            	    // InternalMachine.g:1990:5: (otherlv_10= RULE_ID )
            	    {
            	    // InternalMachine.g:1990:5: (otherlv_10= RULE_ID )
            	    // InternalMachine.g:1991:6: otherlv_10= RULE_ID
            	    {

            	    						if (current==null) {
            	    							current = createModelElement(grammarAccess.getFullMeshPathRule());
            	    						}
            	    					
            	    otherlv_10=(Token)match(input,RULE_ID,FOLLOW_41); 

            	    						newLeafNode(otherlv_10, grammarAccess.getFullMeshPathAccess().getAnnotationsPathAnnotationCrossReference_4_1_0());
            	    					

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop45;
                }
            } while (true);

            // InternalMachine.g:2003:3: ( (lv_endPoints_11_0= rulePathTargetReference ) )*
            loop46:
            do {
                int alt46=2;
                int LA46_0 = input.LA(1);

                if ( (LA46_0==RULE_ID) ) {
                    alt46=1;
                }


                switch (alt46) {
            	case 1 :
            	    // InternalMachine.g:2004:4: (lv_endPoints_11_0= rulePathTargetReference )
            	    {
            	    // InternalMachine.g:2004:4: (lv_endPoints_11_0= rulePathTargetReference )
            	    // InternalMachine.g:2005:5: lv_endPoints_11_0= rulePathTargetReference
            	    {

            	    					newCompositeNode(grammarAccess.getFullMeshPathAccess().getEndPointsPathTargetReferenceParserRuleCall_5_0());
            	    				
            	    pushFollow(FOLLOW_7);
            	    lv_endPoints_11_0=rulePathTargetReference();

            	    state._fsp--;


            	    					if (current==null) {
            	    						current = createModelElementForParent(grammarAccess.getFullMeshPathRule());
            	    					}
            	    					add(
            	    						current,
            	    						"endPoints",
            	    						lv_endPoints_11_0,
            	    						"org.eclipse.lsat.machine.teditor.Machine.PathTargetReference");
            	    					afterParserOrEnumRuleCall();
            	    				

            	    }


            	    }
            	    break;

            	default :
            	    break loop46;
                }
            } while (true);

            otherlv_12=(Token)match(input,14,FOLLOW_2); 

            			newLeafNode(otherlv_12, grammarAccess.getFullMeshPathAccess().getRightCurlyBracketKeyword_6());
            		

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleFullMeshPath"


    // $ANTLR start "entryRulePathTargetReference"
    // InternalMachine.g:2030:1: entryRulePathTargetReference returns [EObject current=null] : iv_rulePathTargetReference= rulePathTargetReference EOF ;
    public final EObject entryRulePathTargetReference() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePathTargetReference = null;


        try {
            // InternalMachine.g:2030:60: (iv_rulePathTargetReference= rulePathTargetReference EOF )
            // InternalMachine.g:2031:2: iv_rulePathTargetReference= rulePathTargetReference EOF
            {
             newCompositeNode(grammarAccess.getPathTargetReferenceRule()); 
            pushFollow(FOLLOW_1);
            iv_rulePathTargetReference=rulePathTargetReference();

            state._fsp--;

             current =iv_rulePathTargetReference; 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePathTargetReference"


    // $ANTLR start "rulePathTargetReference"
    // InternalMachine.g:2037:1: rulePathTargetReference returns [EObject current=null] : ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? ) ;
    public final EObject rulePathTargetReference() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_5=null;
        Token otherlv_6=null;


        	enterRule();

        try {
            // InternalMachine.g:2043:2: ( ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? ) )
            // InternalMachine.g:2044:2: ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? )
            {
            // InternalMachine.g:2044:2: ( () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )? )
            // InternalMachine.g:2045:3: () ( (otherlv_1= RULE_ID ) ) (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )?
            {
            // InternalMachine.g:2045:3: ()
            // InternalMachine.g:2046:4: 
            {

            				current = forceCreateModelElement(
            					grammarAccess.getPathTargetReferenceAccess().getPathTargetReferenceAction_0(),
            					current);
            			

            }

            // InternalMachine.g:2052:3: ( (otherlv_1= RULE_ID ) )
            // InternalMachine.g:2053:4: (otherlv_1= RULE_ID )
            {
            // InternalMachine.g:2053:4: (otherlv_1= RULE_ID )
            // InternalMachine.g:2054:5: otherlv_1= RULE_ID
            {

            					if (current==null) {
            						current = createModelElement(grammarAccess.getPathTargetReferenceRule());
            					}
            				
            otherlv_1=(Token)match(input,RULE_ID,FOLLOW_15); 

            					newLeafNode(otherlv_1, grammarAccess.getPathTargetReferenceAccess().getPositionSymbolicPositionCrossReference_1_0());
            				

            }


            }

            // InternalMachine.g:2065:3: (otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']' )?
            int alt48=2;
            int LA48_0 = input.LA(1);

            if ( (LA48_0==21) ) {
                alt48=1;
            }
            switch (alt48) {
                case 1 :
                    // InternalMachine.g:2066:4: otherlv_2= '[' ( (otherlv_3= RULE_ID ) ) (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )* otherlv_6= ']'
                    {
                    otherlv_2=(Token)match(input,21,FOLLOW_4); 

                    				newLeafNode(otherlv_2, grammarAccess.getPathTargetReferenceAccess().getLeftSquareBracketKeyword_2_0());
                    			
                    // InternalMachine.g:2070:4: ( (otherlv_3= RULE_ID ) )
                    // InternalMachine.g:2071:5: (otherlv_3= RULE_ID )
                    {
                    // InternalMachine.g:2071:5: (otherlv_3= RULE_ID )
                    // InternalMachine.g:2072:6: otherlv_3= RULE_ID
                    {

                    						if (current==null) {
                    							current = createModelElement(grammarAccess.getPathTargetReferenceRule());
                    						}
                    					
                    otherlv_3=(Token)match(input,RULE_ID,FOLLOW_32); 

                    						newLeafNode(otherlv_3, grammarAccess.getPathTargetReferenceAccess().getSettlingAxisCrossReference_2_1_0());
                    					

                    }


                    }

                    // InternalMachine.g:2083:4: (otherlv_4= ',' ( (otherlv_5= RULE_ID ) ) )*
                    loop47:
                    do {
                        int alt47=2;
                        int LA47_0 = input.LA(1);

                        if ( (LA47_0==24) ) {
                            alt47=1;
                        }


                        switch (alt47) {
                    	case 1 :
                    	    // InternalMachine.g:2084:5: otherlv_4= ',' ( (otherlv_5= RULE_ID ) )
                    	    {
                    	    otherlv_4=(Token)match(input,24,FOLLOW_4); 

                    	    					newLeafNode(otherlv_4, grammarAccess.getPathTargetReferenceAccess().getCommaKeyword_2_2_0());
                    	    				
                    	    // InternalMachine.g:2088:5: ( (otherlv_5= RULE_ID ) )
                    	    // InternalMachine.g:2089:6: (otherlv_5= RULE_ID )
                    	    {
                    	    // InternalMachine.g:2089:6: (otherlv_5= RULE_ID )
                    	    // InternalMachine.g:2090:7: otherlv_5= RULE_ID
                    	    {

                    	    							if (current==null) {
                    	    								current = createModelElement(grammarAccess.getPathTargetReferenceRule());
                    	    							}
                    	    						
                    	    otherlv_5=(Token)match(input,RULE_ID,FOLLOW_32); 

                    	    							newLeafNode(otherlv_5, grammarAccess.getPathTargetReferenceAccess().getSettlingAxisCrossReference_2_2_1_0());
                    	    						

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop47;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,22,FOLLOW_2); 

                    				newLeafNode(otherlv_6, grammarAccess.getPathTargetReferenceAccess().getRightSquareBracketKeyword_2_3());
                    			

                    }
                    break;

            }


            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePathTargetReference"


    // $ANTLR start "entryRuleIID"
    // InternalMachine.g:2111:1: entryRuleIID returns [String current=null] : iv_ruleIID= ruleIID EOF ;
    public final String entryRuleIID() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleIID = null;


        try {
            // InternalMachine.g:2111:43: (iv_ruleIID= ruleIID EOF )
            // InternalMachine.g:2112:2: iv_ruleIID= ruleIID EOF
            {
             newCompositeNode(grammarAccess.getIIDRule()); 
            pushFollow(FOLLOW_1);
            iv_ruleIID=ruleIID();

            state._fsp--;

             current =iv_ruleIID.getText(); 
            match(input,EOF,FOLLOW_2); 

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleIID"


    // $ANTLR start "ruleIID"
    // InternalMachine.g:2118:1: ruleIID returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_INT_0= RULE_INT | this_ID_1= RULE_ID ) ;
    public final AntlrDatatypeRuleToken ruleIID() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_INT_0=null;
        Token this_ID_1=null;


        	enterRule();

        try {
            // InternalMachine.g:2124:2: ( (this_INT_0= RULE_INT | this_ID_1= RULE_ID ) )
            // InternalMachine.g:2125:2: (this_INT_0= RULE_INT | this_ID_1= RULE_ID )
            {
            // InternalMachine.g:2125:2: (this_INT_0= RULE_INT | this_ID_1= RULE_ID )
            int alt49=2;
            int LA49_0 = input.LA(1);

            if ( (LA49_0==RULE_INT) ) {
                alt49=1;
            }
            else if ( (LA49_0==RULE_ID) ) {
                alt49=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 49, 0, input);

                throw nvae;
            }
            switch (alt49) {
                case 1 :
                    // InternalMachine.g:2126:3: this_INT_0= RULE_INT
                    {
                    this_INT_0=(Token)match(input,RULE_INT,FOLLOW_2); 

                    			current.merge(this_INT_0);
                    		

                    			newLeafNode(this_INT_0, grammarAccess.getIIDAccess().getINTTerminalRuleCall_0());
                    		

                    }
                    break;
                case 2 :
                    // InternalMachine.g:2134:3: this_ID_1= RULE_ID
                    {
                    this_ID_1=(Token)match(input,RULE_ID,FOLLOW_2); 

                    			current.merge(this_ID_1);
                    		

                    			newLeafNode(this_ID_1, grammarAccess.getIIDAccess().getIDTerminalRuleCall_1());
                    		

                    }
                    break;

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleIID"


    // $ANTLR start "ruleResourceType"
    // InternalMachine.g:2145:1: ruleResourceType returns [Enumerator current=null] : ( (enumLiteral_0= 'PassiveResource' ) | (enumLiteral_1= 'EventResource' ) | (enumLiteral_2= 'Resource' ) ) ;
    public final Enumerator ruleResourceType() throws RecognitionException {
        Enumerator current = null;

        Token enumLiteral_0=null;
        Token enumLiteral_1=null;
        Token enumLiteral_2=null;


        	enterRule();

        try {
            // InternalMachine.g:2151:2: ( ( (enumLiteral_0= 'PassiveResource' ) | (enumLiteral_1= 'EventResource' ) | (enumLiteral_2= 'Resource' ) ) )
            // InternalMachine.g:2152:2: ( (enumLiteral_0= 'PassiveResource' ) | (enumLiteral_1= 'EventResource' ) | (enumLiteral_2= 'Resource' ) )
            {
            // InternalMachine.g:2152:2: ( (enumLiteral_0= 'PassiveResource' ) | (enumLiteral_1= 'EventResource' ) | (enumLiteral_2= 'Resource' ) )
            int alt50=3;
            switch ( input.LA(1) ) {
            case 40:
                {
                alt50=1;
                }
                break;
            case 41:
                {
                alt50=2;
                }
                break;
            case 42:
                {
                alt50=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 50, 0, input);

                throw nvae;
            }

            switch (alt50) {
                case 1 :
                    // InternalMachine.g:2153:3: (enumLiteral_0= 'PassiveResource' )
                    {
                    // InternalMachine.g:2153:3: (enumLiteral_0= 'PassiveResource' )
                    // InternalMachine.g:2154:4: enumLiteral_0= 'PassiveResource'
                    {
                    enumLiteral_0=(Token)match(input,40,FOLLOW_2); 

                    				current = grammarAccess.getResourceTypeAccess().getPASSIVEEnumLiteralDeclaration_0().getEnumLiteral().getInstance();
                    				newLeafNode(enumLiteral_0, grammarAccess.getResourceTypeAccess().getPASSIVEEnumLiteralDeclaration_0());
                    			

                    }


                    }
                    break;
                case 2 :
                    // InternalMachine.g:2161:3: (enumLiteral_1= 'EventResource' )
                    {
                    // InternalMachine.g:2161:3: (enumLiteral_1= 'EventResource' )
                    // InternalMachine.g:2162:4: enumLiteral_1= 'EventResource'
                    {
                    enumLiteral_1=(Token)match(input,41,FOLLOW_2); 

                    				current = grammarAccess.getResourceTypeAccess().getEVENTEnumLiteralDeclaration_1().getEnumLiteral().getInstance();
                    				newLeafNode(enumLiteral_1, grammarAccess.getResourceTypeAccess().getEVENTEnumLiteralDeclaration_1());
                    			

                    }


                    }
                    break;
                case 3 :
                    // InternalMachine.g:2169:3: (enumLiteral_2= 'Resource' )
                    {
                    // InternalMachine.g:2169:3: (enumLiteral_2= 'Resource' )
                    // InternalMachine.g:2170:4: enumLiteral_2= 'Resource'
                    {
                    enumLiteral_2=(Token)match(input,42,FOLLOW_2); 

                    				current = grammarAccess.getResourceTypeAccess().getREGULAREnumLiteralDeclaration_2().getEnumLiteral().getInstance();
                    				newLeafNode(enumLiteral_2, grammarAccess.getResourceTypeAccess().getREGULAREnumLiteralDeclaration_2());
                    			

                    }


                    }
                    break;

            }


            }


            	leaveRule();

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleResourceType"

    // Delegated rules


 

    public static final BitSet FOLLOW_1 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_2 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_3 = new BitSet(new long[]{0x0000070000019802L});
    public static final BitSet FOLLOW_4 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_5 = new BitSet(new long[]{0x0000070000011002L});
    public static final BitSet FOLLOW_6 = new BitSet(new long[]{0x0000000000002000L});
    public static final BitSet FOLLOW_7 = new BitSet(new long[]{0x0000000000004010L});
    public static final BitSet FOLLOW_8 = new BitSet(new long[]{0x0000070000010002L});
    public static final BitSet FOLLOW_9 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_10 = new BitSet(new long[]{0x0000000000064000L});
    public static final BitSet FOLLOW_11 = new BitSet(new long[]{0x0000000000044000L});
    public static final BitSet FOLLOW_12 = new BitSet(new long[]{0x0000000000080000L});
    public static final BitSet FOLLOW_13 = new BitSet(new long[]{0x0000000000104000L});
    public static final BitSet FOLLOW_14 = new BitSet(new long[]{0x0000000000004000L});
    public static final BitSet FOLLOW_15 = new BitSet(new long[]{0x0000000000200002L});
    public static final BitSet FOLLOW_16 = new BitSet(new long[]{0x0000000000400000L});
    public static final BitSet FOLLOW_17 = new BitSet(new long[]{0x0000000000A00002L});
    public static final BitSet FOLLOW_18 = new BitSet(new long[]{0x0000000000800002L});
    public static final BitSet FOLLOW_19 = new BitSet(new long[]{0x0000000001000002L});
    public static final BitSet FOLLOW_20 = new BitSet(new long[]{0x0000000002002000L});
    public static final BitSet FOLLOW_21 = new BitSet(new long[]{0x0000000000000050L});
    public static final BitSet FOLLOW_22 = new BitSet(new long[]{0x0000000005000000L});
    public static final BitSet FOLLOW_23 = new BitSet(new long[]{0x0000000008000000L});
    public static final BitSet FOLLOW_24 = new BitSet(new long[]{0x0000000000002002L});
    public static final BitSet FOLLOW_25 = new BitSet(new long[]{0x0000000070004000L});
    public static final BitSet FOLLOW_26 = new BitSet(new long[]{0x0000000060000000L});
    public static final BitSet FOLLOW_27 = new BitSet(new long[]{0x0000000040000000L});
    public static final BitSet FOLLOW_28 = new BitSet(new long[]{0x0000000002000000L});
    public static final BitSet FOLLOW_29 = new BitSet(new long[]{0x0000000180004000L});
    public static final BitSet FOLLOW_30 = new BitSet(new long[]{0x0000000100004000L});
    public static final BitSet FOLLOW_31 = new BitSet(new long[]{0x0000008000004010L});
    public static final BitSet FOLLOW_32 = new BitSet(new long[]{0x0000000001400000L});
    public static final BitSet FOLLOW_33 = new BitSet(new long[]{0x0000000002000002L});
    public static final BitSet FOLLOW_34 = new BitSet(new long[]{0x0000000200000000L});
    public static final BitSet FOLLOW_35 = new BitSet(new long[]{0x0000000400000000L});
    public static final BitSet FOLLOW_36 = new BitSet(new long[]{0x0000001800000000L});
    public static final BitSet FOLLOW_37 = new BitSet(new long[]{0x0000002001000002L});
    public static final BitSet FOLLOW_38 = new BitSet(new long[]{0x0000002000000002L});
    public static final BitSet FOLLOW_39 = new BitSet(new long[]{0x0000004000000000L});
    public static final BitSet FOLLOW_40 = new BitSet(new long[]{0x0000002001004010L});
    public static final BitSet FOLLOW_41 = new BitSet(new long[]{0x0000002000004010L});

}